commit ead109283bd620594e61b2c13faa6c5b9c2f4693
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 18:28:07 2025 -0500

    avoid using `sudo` if already using account `root`

commit d5608ecf83054346ccf190fc696cbc4676d08f19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 23:21:31 2025 +0000

    bumped changelog version

commit 2f669176139d717802d5cfa8adfac3a721c506d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 18:21:11 2025 -0500

    comment

commit f5854c0c3f8b32cf6b002e73113be84f3c9b3d6b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 18:19:53 2025 -0500

    allow root running upgrade-nonroot (even if user-sysmaint-split is installed)

commit 35e10c9b779ded2a3b4b5e97385d00ebd34b4b1b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 23:16:53 2025 +0000

    bumped changelog version

commit 42759f717689a9aafa9f0f01bb0ca53f891bb437
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 18:16:19 2025 -0500

    revert `--yes` from `apt-get-noninteractive`

commit 00d9283abc8c043db1fe5ccdf191c1d9a345c5d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 23:04:33 2025 +0000

    bumped changelog version

commit 7142c96945a97b2afaffd05c1ac6bd74c7dae44d
Merge: 3ff857e 04ddda9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 17:16:34 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/misc-fixes'

commit 04ddda9eba821380d7b217546e302902592de005
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Feb 12 01:03:01 2025 -0600

    Add error message when trying to run upgrade-nonroot as a normal user when user-sysmaint-split is installed

commit 432b573e804e7f23418a821fe8891b4c5504d123
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Feb 12 00:43:42 2025 -0600

    Revert sudoless port of upgrade-nonroot, not needed

commit a773a6c565ab5eb5b96cfb0365a551e1dd2e3d1a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Feb 11 22:55:06 2025 -0600

    Don't prompt the user for confirmation when installing things with apt-get-noninteractive

commit 0daa049ff52b3816907e4a6fe05493d117bc512e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Feb 11 22:45:42 2025 -0600

    Fix typo in directory name

commit 3ff857e7616eb002c367d5c0a9dd87a7ffb73d4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 17:55:51 2025 +0000

    bumped changelog version

commit 7e1395c0e44bb85358c0e14ff6f0108761c15537
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 12:55:22 2025 -0500

    upgrade-nonroot: improve Qubes user-sysmaint-split support

commit edc5b48bd0570986ab70f83de1893590467f939a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 12:50:34 2025 -0500

    comment

commit 6ed71d707a011d752d7c711c8187d95f0062a3cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 17:42:19 2025 +0000

    bumped changelog version

commit 89b910b33cc51d63f4bb3c1b1cc12ba909678a53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 12:26:58 2025 -0500

    refactoring

commit 9946c877a950fa3be9e7e03ab196260ed163bb64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 16:51:13 2025 +0000

    bumped changelog version

commit 0d6a9b560af662e3f7aeae60caab4d026a1347ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 11:50:33 2025 -0500

    `upgrade-nonroot` / `apt-get-update-plus`: use `apt-get-noninteractive`

commit f8db1d910627d3a2d81f151e91471a5608e0a439
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 11:40:10 2025 -0500

    exec

commit bbfd3411384acc49b170cc55fbefe8813739141b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 11:39:54 2025 -0500

    fix

commit edcd28a264b3d739b5f2d44becfe29421342cc54
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 16:35:28 2025 +0000

    bumped changelog version

commit 3ed50a9ab072de900d5441bc4d36e74aed00883b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 11:35:13 2025 -0500

    fix path

commit 5c70d0d0e3891b2e88cc4715f1ab02428ed20d56
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 14:58:36 2025 +0000

    bumped changelog version

commit 790e29658ed809f7dcdfeb0d48885992d151d3f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 09:58:34 2025 -0500

    re-generate man pages (generated using "genmkfile manpages")

commit e03b5c6c2716a0b51a3402064e4248fbe1c03554
Merge: 894f0c3 517412f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 06:16:27 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/privleap'

commit 517412f8e9df39c4fb537b76c8a0a1eb94a97dfd
Merge: 1418796 894f0c3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Feb 4 17:08:16 2025 -0600

    Merge branch 'master' into arraybolt3/privleap

commit 894f0c35bbf189dfd808ad7c4f83eeb9798ad0a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 4 09:48:57 2025 +0000

    bumped changelog version

commit a09d247f44726813af0543ed4c53ca90768f6622
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Feb 4 03:55:08 2025 -0500

    refactoring

commit 14187968f7cfb7655cde32b02b1a5ef838960860
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 31 16:41:08 2025 -0600

    Port upgrade-nonroot to privleap, don't allow conffile prompts in apt-get-update-plus

commit 684c8c0fe49357eb188b2d42b3a7b6435563b855
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 3 06:25:51 2025 -0500

    refactoring

commit 8c50d0913285835adb8eb34a5a5dc3c2d291bb1a
Merge: 00a1014 29c3804
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 3 06:24:59 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/privleap'

commit 29c380432845b5594099d2f559badc4e0c9f02c0
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 31 16:41:08 2025 -0600

    Port upgrade-nonroot to privleap, don't allow conffile prompts in apt-get-update-plus

commit 00a1014c4399631c52e83a11a8c7914e0bf05c86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 18:41:47 2025 +0000

    bumped changelog version

commit 94846f8c848c54812bca046418a39e5b14f7cfe7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 13:39:11 2025 -0500

    output

commit dd9728f8c649e85c67d83c587fdf25b8ace56ce0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 13:38:18 2025 -0500

    use end-of-options

commit bcd4158a3bbf15137e5198f19b37e67d7a3c8d7a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 31 13:35:20 2025 -0500

    refactoring; output

commit 9c7ee78f14bfbee4e401fd1c88d0021c7b68313e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 17:26:53 2025 +0000

    bumped changelog version

commit 37e757261a69e8c90c780e581cbfa13b6dc03e6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:26:38 2025 -0500

    build

commit ec8b8f0f044cd168a5743f673a4660642ec9f99e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:25:48 2025 -0500

    install fasttrack keyring only if needed
    
    because it fails on testing and unstable, where the package is unavailable

commit 45d73609ca7748a0259a0303ca71bdec7f123d52
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 17:10:40 2025 +0000

    bumped changelog version

commit 43f5953855cf9d443c487368a37efab10f41f7c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:10:23 2025 -0500

    build

commit 70f91da0d074ce4643293cb59dc37df26e0e629c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:09:54 2025 -0500

    add newline at the end

commit dbd991bd23a281dde39b43b6061e9055f65aaf5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:07:23 2025 -0500

    use end of options

commit 2025574f583125f9e7246bb65c3cfe3c8324681f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:05:27 2025 -0500

    build

commit 8ea1b0120aa38b72a2cbab09b60b796a9523cbbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:05:12 2025 -0500

    fix

commit 54d69c672dbb5121c1496d5e7da71be8c235ca2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 17:01:01 2025 +0000

    bumped changelog version

commit dacce3eab1b70e0094569c2feb7f1db651b54484
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:00:47 2025 -0500

    build

commit 1422ba78565560d81724e8d3f6c9ae13b55c54f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:00:12 2025 -0500

    add newline at the end

commit 7cadf5d8126104595d475fb18b8922baabc2772c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 16:44:17 2025 +0000

    bumped changelog version

commit ada4b9159de4d20806ce97e0c558f5da233ad993
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 11:43:09 2025 -0500

    build

commit 0eb98fcf3a3e146c6a9428e0e886650b0a1e837c
Merge: 75b6eaf 15ce5c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 11:39:10 2025 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit 15ce5c12a9ea86f128e0d2df5b57dd4828482ab2
Merge: 75b6eaf 32a82ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 11:29:32 2025 -0500

    Merge pull request #14 from ben-grande/stprint
    
    Use printf instead of echo for the Linux installer

commit 75b6eaf4e144aba7339fa725b40bd95ccb3bd27e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 12:59:52 2025 +0000

    bumped changelog version

commit 4f3cd728c05abb7ad848a811bcbfe1b426f42a3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 30 07:45:27 2025 -0500

    LANG=C str_replace: no longer requires LANG=C, therefore removed

commit 05510db9559973e8a4d6881831002304d962c5c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 14:03:24 2025 +0000

    bumped changelog version

commit 95a1cf57b72b87953627aecc4569b5f3b014096f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 08:12:22 2025 -0500

    build

commit 32a82eed05b5da82867b1687147406f9b2b39451
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Fri Jan 24 21:33:39 2025 +0100

    Use printf instead of echo for the Linux installer

commit 49c3eb311837d92e5acb5b5a67cd1df6df3fd2ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 11:12:06 2025 +0000

    bumped changelog version

commit 6e1ccdb01271de065539733b5a5a1acd31fa6d64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:13:42 2025 -0500

    copyright

commit 44ce12d281c7035745af67d80a7b86f483f0cea4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 14:57:44 2025 +0000

    bumped changelog version

commit 8746dfecd56b259ed1b590058cfb45f075da232c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 09:42:58 2025 -0500

    output

commit 90183e20e7d43af8dde0cab855bd99475f0f4f2f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 09:41:00 2025 -0500

    output

commit f31da72d17b03cd08fb12f4f314799f82fc526a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 09:29:06 2025 -0500

    build

commit 063951e3c1c5c93a0471023e73b992d5eed1f797
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 09:28:23 2025 -0500

    output

commit d8a433bcf0bb081feddb2af5a23f44cab7129f0f
Merge: 6134e21 cfe25a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 09:24:18 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/dist-installer-sysmaint-polish'

commit 6134e218b9597c98011de92eabd4ae44456c4036
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 08:52:44 2025 -0500

    build

commit cfe25a06219f275386e5a308dd7a0c50a04c7713
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Jan 11 22:19:52 2025 -0600

    Fix install failure when using --onion

commit bdb4bff9759fb56458b19265945c7f0449d37895
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Jan 11 21:40:59 2025 -0600

    dist-installer-cli bugfixes, cleanup shellcheck overrides, improve robustness

commit 8675175e9bbbae9ef854149ae8e192e40b847ac3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Jan 10 16:57:35 2025 -0600

    More polish on dist-installer-cli logic (untested)

commit a5f1631e61539c4027029bd0ee20c2107876d675
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 15:34:50 2025 +0000

    bumped changelog version

commit 3f4f69f6a8f0ef6b9dfb736d084380d22685cc41
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 10:33:33 2025 -0500

    build

commit f686a40223e96e41a3954d188c00f8550551e381
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 10:33:00 2025 -0500

    do not hardcode paths

commit be70aaa8070979a9b4f596a79babfdc0b61cf6bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 09:49:46 2025 -0500

    cleanup

commit 7faad0f8d03c0bc30d788bc2b601c76106a634c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 09:46:56 2025 -0500

    build

commit 29a5eeea82e79610126cbabe8283488e8ebdc555
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 09:46:33 2025 -0500

    shellcheck

commit e1e62c82619b93ecab37cf489224cc1aa249ad48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 09:36:49 2025 -0500

    fix path to signify-openbsd

commit ebf68a0a6e5cdfeff79e27639ae21c754247eb2d
Merge: 5fba1bf df6109f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 09:25:36 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/dist-installer-sysmaint'

commit df6109ffbee5cc3925755c797814a5e64146e02d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jan 7 22:16:35 2025 -0600

    Cosmetic fixes to dist-installer-cli

commit abc35f6f1139c21e2f2f6b5189ee006e7dfb3ed2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jan 7 16:17:59 2025 -0600

    Fix bugs in dist-installer-cli, rebuild dist-installer-cli-standalone

commit 5fba1bf835279f7633556456e1d1b9707358b2bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 13:14:37 2025 +0000

    bumped changelog version

commit bf92ed26f81180bea9c0b27afe12796bd47c6a4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 08:11:02 2025 -0500

    readme

commit e8e8f4c121603ba23185df6beabc0c82992db32b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 5 22:36:01 2025 -0600

    Polish dist-installer-cli and make it compatible with sysmaint mode (untested)

commit 10b3689ef9d32a4b0ce4a7dfa710e13bb8bc9cd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 19:20:14 2024 +0000

    bumped changelog version

commit f47ebbd054fe0195fbb094f7625d865ed2ca72c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:23 2024 -0500

    copyright

commit 880d89499b1b523f88a902b6b79112b660f3a564
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 26 04:12:47 2024 +0000

    bumped changelog version

commit ba1443e9d1dc2d0dbc9112cea64e187c185ba5cc
Merge: e69b9ae ac34384
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 25 22:18:52 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sysmaint'

commit ac34384d5b6a2ae59fa875218bdcb55b63f2c766
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 24 21:23:32 2024 -0600

    pwchange: add user listing and sysmaint documentation, fix password feedback bug

commit e69b9aecdb0e1e766248d06dab83444f04d71719
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 08:38:18 2024 +0000

    bumped changelog version

commit 42e03eb2f3aa39a769d427fd4cf9e5469a55f5ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:36:56 2024 -0500

    improve output of `pwchange`

commit 1c897bb6ce6287ece009f6efd94d3dbefecc96b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 13:21:42 2024 +0000

    bumped changelog version

commit de5779db1f1ca580afe901b63fed6e2338c1135d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 08:21:28 2024 -0500

    build

commit ffd9917a61ed52d6724919df65a0ede031f6eb07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 4 08:10:56 2024 -0500

    ova -> Intel_AMD64.ova

commit e8ef20e45c9d3683c1496528ba48223917e70798
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 13:21:57 2024 +0000

    bumped changelog version

commit b601a0fa783d9a810bb66222f0f87dc6eb48f4e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 07:13:14 2024 -0500

    build

commit c7a5dd72312f0b05d440b21c2c55a2bf53346d4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 07:12:43 2024 -0500

    fix case where `dpkg --audit` exits non-zero

commit bf4ef33ca6cab02401eee81cd01d6169438e437b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 07:09:50 2024 -0500

    build

commit dd113552b1808435d41a3fb6bd816b87de1df0e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 2 07:08:41 2024 -0500

    fix case where `dpkg --audit` exits non-zero

commit acb574aa31cd9ba64ceb6a3759f1554edc3e7607
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 21 12:18:57 2024 +0000

    bumped changelog version

commit 20db5675217b8ec31635ba692f829e5035318874
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 21 07:17:47 2024 -0500

    fix passwordless-root: make sure that VISUAL and SUDO_EDITOR environment variables do not interfere with EDITOR=tee

commit eb087e01d5915ddfa04f284abcc63cde06c0d094
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 15:52:28 2024 +0000

    bumped changelog version

commit e2b6c5478c55401772f5a5284c572a8373002b32
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:50:57 2024 -0500

    check if folder /etc/sudoers.d/ is writeable

commit 6f84ff23d15ddb58dc6d90ca699c60ea5997c0f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:49:37 2024 -0500

    check if folder /etc/sudoers.d/ exists

commit 22736b0d3f6cc156e1855b2f01fb243500783667
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:47:44 2024 -0500

    fix

commit 1aef2655d8381f834e413ec13f2e3f3f8f0905f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:46:46 2024 -0500

    Depends: helper-scripts (because of append-once)

commit c147414569d50a61a9d94667248b818b350ec535
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:46:24 2024 -0500

    fix

commit 335ddaa269bad9c0ffd20cf7b1c8a72bafc8b384
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:45:44 2024 -0500

    typo

commit 8715df67bb32272a2c7ef4c3166693c13d8c3b33
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:41:28 2024 -0500

    comment

commit d78e6fe96985c99b9c596a83cc3735b37d852fde
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 18 10:40:08 2024 -0500

    add `/usr/bin/passwordless-root` a tool for root to easily set up passwordless `sudo` for user `user`

commit fe6fa694c6143055523189f97c220f2d8772c7ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 09:12:43 2024 +0000

    bumped changelog version

commit cc90e9def012f3019ddba035bee846b8984aad3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 12 03:25:45 2024 -0500

    comments

commit deb9ce4c6d0b3c92950e6c08dcbecd78a2eb7541
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 11 11:13:03 2024 +0000

    bumped changelog version

commit 18f11dba08f2c9c8fc1b5c3757a997292946ad69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 11 06:01:59 2024 -0500

    import /etc/dkms/framework.conf.d/30_usability-misc.conf from security-misc

commit 0d3b9dc7e3e010aa3089d5993c6992c2b58ad0cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 1 16:20:44 2024 +0000

    bumped changelog version

commit 13bdb88bcc3107e1b94b7f3d5fecd910f3a7efc2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 1 12:16:38 2024 -0400

    output

commit fcad56a5303054cdfc9dfc5244778699743210b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 9 18:21:15 2024 +0000

    bumped changelog version

commit e6ff0d2f5cb160104bc4c55fa7b5d2c45362801f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Sep 9 14:20:22 2024 -0400

    set `thunar` as default file manager for `xdg-mime`
    
    https://forums.whonix.org/t/is-catfish-the-new-default-in-the-qubes-domain-open-file-manager-quick-widget-for-whonix/20233

commit ce867a7cbcdecb9fcaf2ee85d563c5f39a3b343e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 20 12:12:45 2024 +0000

    bumped changelog version

commit cabb825464bec2529f4dc0149e00e82f3c1cc6c4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 20 05:44:49 2024 -0400

    build

commit c11791dc16513059ed3b33222c44f5040d945b5b
Merge: 5b4e779 d277481
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 20 05:44:22 2024 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit d27748101e58c148fca8b0fec27cab7d068a99a7
Merge: 5b4e779 72a2fdb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 20 05:43:47 2024 -0400

    Merge pull request #12 from nyxnor/ci-shellcheck-but-smart
    
    Fix shellcheck warnings

commit 72a2fdbf14796a16fa64d4643b3d82c74d0bfd49
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Aug 19 16:19:00 2024 +0000

    Fix shellcheck warnings

commit 5b4e77964ccc7f31fb5d357a5f19198d681123f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 18 11:23:33 2024 -0400

    build

commit c40a30f321a079c6f6b6b0f22b65d7ab0bc3e5b0
Merge: ea41722 b9caca5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 18 11:23:05 2024 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit b9caca5cab0a6c754d952bdd53424a0c556d029a
Merge: ea41722 027b61f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 18 11:19:17 2024 -0400

    Merge pull request #11 from nyxnor/ci-shellcheck
    
    Fix shellcheck and CI warnings

commit 027b61f68375ddfa46795431e78d76e329ac88d8
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Aug 16 15:04:14 2024 +0000

    Update actions major version

commit 5cbffb5235fb6acfff456c5136cfc9207eddc719
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Aug 16 15:00:53 2024 +0000

    Fix shellcheck warnings

commit ea4172265ae2b1492ac97f7d5bc637bc33733736
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 6 14:02:47 2024 +0000

    bumped changelog version

commit 7c7a9f4ab483076ecac7abdc7b240eb370f5aabc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 6 07:17:18 2024 -0400

    build

commit 9de27b9be888395581839e58efe968a776374807
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 31 08:25:52 2024 +0000

    bumped changelog version

commit c033c15f9a25ca18f1d8b21c1f0e93de002fd1c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 31 04:19:19 2024 -0400

    build

commit cd910de04657b0ca24892eec6656249137a1f364
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 31 04:14:30 2024 -0400

    fix `kali_domain_debsource: unbound variable`
    
    https://forums.kicksecure.com/t/followed-wiki-but-get-error-for-whonix-install/454/4

commit e5dc920edb19911194f8fab2c7ec2cde2a764a5a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 31 04:05:29 2024 -0400

    comments

commit 36b9b38bda80f9ba30417ac4a0fc5d98fb25030a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 31 04:01:57 2024 -0400

    minor

commit affb365ec8b8bcdbf790c5ca3dc049af8c1dcb3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 29 08:50:38 2024 -0400

    build

commit 5ebec51db21a0295840dea661fd421194071803b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 29 08:50:00 2024 -0400

    output

commit c62a5a6c6ba9cf76a4ac586f8adf3341e006deea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 29 08:48:51 2024 -0400

    minor

commit 92023301bf43149e827d86163cb10694a1bc14fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 29 08:48:36 2024 -0400

    output

commit 4426b1443c7ac3f389b0b523a7811a7726287f18
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 29 08:45:10 2024 -0400

    output

commit a32586944e5b70e0583fa04f7880fc6254a7e833
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 28 23:21:36 2024 +0000

    bumped changelog version

commit 60fb0cf2f93dd4bb143d88486b842865235cf4ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 28 19:14:51 2024 -0400

    description

commit e0713068acd7a60b95842646aa643622d9c7581f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 28 18:28:01 2024 -0400

    enable autologin for lightdm

commit a7296cdaeb444f536f2e48d3cd0edf08e530e502
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 15:41:02 2024 +0000

    bumped changelog version

commit 6e4a2e5d26c3ac9c4509d32e7a152d8eeebf02e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 11:38:48 2024 -0400

    build

commit 0bc0c62f98de20be4e62e9249c262a0125e7e152
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 11:38:37 2024 -0400

    revert

commit 77f7dc9322523c65b4180a807283a52638c7f327
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 07:06:33 2024 -0400

    build

commit 77552446a0c52e20d5f4c3d57598011381fe7942
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 07:05:24 2024 -0400

    add relative path support

commit b8cf22bfd57647393fbe5112b759de8497252654
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 07:00:07 2024 -0400

    Use source code version for now to avoid using different version depending on repository setting.

commit 95724b0e1d6286b5aabae2ab0e62f0e20e4d1dcb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 06:56:34 2024 -0400

    disable /usr/share/usability-misc/check-dist-installer-cli sanity test for now
    
    because it breaks the build process. Run from elsewhere instead.
    
    https://forums.whonix.org/t/derivative-maker-missing-usr-libexec-helper-scripts-get-colors-sh/20142

commit 07d5835a124c985a5e7eb413d65635093f0480a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 06:55:13 2024 -0400

    comments

commit 0557aa4df47d10c334fcf2fcd1e3c7c20fe13e43
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 06:36:25 2024 -0400

    comment

commit 9e57e38f72d25e29f85ee6acada942d55153fbbb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 06:35:20 2024 -0400

    output

commit 3595abafe3c2078c0f570395f1c998f8ebe34fd2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 06:34:31 2024 -0400

    allow skipping to build dist-installer-cli
    
    by setting `dist_build_skip_installer_dist_standalone=true`

commit a2747e630807814626449b990c9528da38245d5a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 05:57:21 2024 -0400

    user helper-scripts from derivative-maker source folder,
    
    in case helper-scripts is not installed locally

commit 050fa939eadcfdf6dbe95e7b2c88a410fb6ab1a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 05:49:48 2024 -0400

    comment

commit 857bb835ff86c4ad849ea76be5d8248103fab266
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 05:47:48 2024 -0400

    Revert "Builds-Depends: helper-scripts"
    
    Not easily possible because then the build chroot would also need helper-scripts being installed.
    
    This reverts commit 0782a1ce4b51965ca0159dc445c3ca7308aef5fa.

commit 7c6fd0e7fa2bea160543dbefd9906c209e038af1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 09:41:36 2024 +0000

    bumped changelog version

commit 0782a1ce4b51965ca0159dc445c3ca7308aef5fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 26 05:36:39 2024 -0400

    Builds-Depends: helper-scripts
    
    because required to build dist-installer-cli-standalone

commit 789d3bf2a1b99f62609a7e464c8e5c0c7248d1c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 20:32:14 2024 +0000

    bumped changelog version

commit 5066df6d2faf044930e61c2bb2186c27a30f6616
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:31:53 2024 -0400

    lower debugging

commit 5610b3dd69d42d505ff1c6fe3e2a32468fbc7473
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:31:34 2024 -0400

    build

commit 13efc0df47304cf09988b8e01a63ac6301dc6518
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:30:27 2024 -0400

    improve upgrade simulation code

commit dd8a48751ae835ca645ce695d6970278a663849e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 20:24:47 2024 +0000

    bumped changelog version

commit 118ab5dc957fc3df42d20be0a2130a1f908d49f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:24:24 2024 -0400

    build

commit 7eb18a12f6a5fd250090f3271b5d73e74f07dafe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:24:02 2024 -0400

    improve upgrade simulation code

commit 039b99b4bcdb678cfaf30b90fdf8e13fef659c35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 20:15:38 2024 +0000

    bumped changelog version

commit da029e77dc2549769193a5477392a3f4a906e700
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:15:18 2024 -0400

    build

commit c1bad2647cdde6bb6ecc2880df1509c7f00f0619
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:14:54 2024 -0400

    output

commit 08a7c43b6ac87d3c0f1966af3b28d371983ad133
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 16:09:53 2024 -0400

    improve upgrade simulation code

commit cbc1a01e88aa3ab88588b6569a7af90dcdcafa20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 19:50:58 2024 +0000

    bumped changelog version

commit ce0ca31510b87dff11c7be509c45e7e75c0ee17c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:50:37 2024 -0400

    output

commit 1af9e0831ee3b84ff9ad3c1faf127c31f48eb4f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:49:49 2024 -0400

    build

commit 543354f6c938fe2a4671be4fa3490520335a2f51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:46:50 2024 -0400

    improve upgrade simulation code

commit ebe9952ff3b29aa8a8c95c7fa76699f50ba179a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:23:20 2024 -0400

    local

commit b641a163873e416bfc65c8ee719e3a70ddfaf356
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:23:00 2024 -0400

    fix

commit 859845da26fb2c9fa730500c2668392660796d74
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:19:29 2024 -0400

    improve upgrade simulation code

commit 5087b358618d40ee8ebe2fc874c1e069e452fd45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 15:09:18 2024 -0400

    minor

commit 52176302ec5a51c7da9ad4a05c30236dfd3042bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 18:55:49 2024 +0000

    bumped changelog version

commit cb30160cbf39ed52bf39c4288fad10ce9ecf1ca5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:55:28 2024 -0400

    build

commit 3ad3cf21e6d09815d5be81d3680d013669e61a7b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:55:08 2024 -0400

    output

commit 3c697668809b9137340a9fcacc12b564acf6982b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:53:41 2024 -0400

    output

commit 427b9f7468c089e094b2a89e4a547977b697899c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:45:20 2024 -0400

    output

commit e8bc9ac6e14a54a8480c623f8d7a016c8afe78e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 18:28:26 2024 +0000

    bumped changelog version

commit 40a337d0f10fb87655389d6d4cecad6769e08c36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:28:05 2024 -0400

    build

commit 4795628e57d6f55dc1c5fb226d4ecf8f4ea6dc16
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 18:26:48 2024 +0000

    bumped changelog version

commit 39d39ab488050987c573ea94c6a756a475cf201c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:23:34 2024 -0400

    fix

commit b7de5c09a369c02ca3678b84c3eb9c507c993d1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:21:31 2024 -0400

    improve secure boot dkms key enrollment information

commit c8cb34cf6ccaf65b4f003b576cd2d571f5889117
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:12:32 2024 -0400

    fix, mokutil requires root_cmd

commit 313ac46396e47ff80122e8b2c3cd40904a5b90d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:10:57 2024 -0400

    improve secure boot dkms key enrollment information

commit fd1a632bcb1a6a9d890ff26a877a8213b85bd949
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 14:00:36 2024 -0400

    Secure Boot DKMS Signing Key Enrollment not required for KVM

commit a2726d87905c792c5cb2dc62210c648e65cba986
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 13:57:54 2024 -0400

    output

commit d37935a2474519ffc1e59a318b3346fbff66e227
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 13:55:39 2024 -0400

    dist-installer-cli: advice to enroll Secure Boot DKMS signing key if required

commit 134e60be622489ffbc004e517e29cb04da4322e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 13 11:37:52 2024 -0400

    refactoring

commit fa008de5dc92d19c6233e9575e6683fed7997b2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 25 17:18:23 2024 +0000

    bumped changelog version

commit e2084152af7362db5f9edf5c9bfcd7f04137fabe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 25 13:15:39 2024 -0400

    add sanity test to prevent stale dist-installer-cli-standalone

commit b9ea3a7707114c4f299608e1c502907931d2df35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 25 13:21:46 2024 +0000

    bumped changelog version

commit 15d44f05855559b7a7c2a209a5a8e047eb150813
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 25 09:21:20 2024 -0400

    build

commit d1c472a95bdfa53e1a1055be21bb7b0b30556882
Merge: 9133c53 29133ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 25 09:20:25 2024 -0400

    Merge remote-tracking branch 'grass/master'

commit 29133ba23d0b7d1d1194c157bf963207b1c9df44
Author: grass <grass@danwin1210.de>
Date:   Fri May 24 20:18:55 2024 +0000

    Error build of installer if file is missing

commit 9133c538f8869747b6914b194236af6f32402b36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 18:42:21 2024 +0000

    bumped changelog version

commit 2bbcbc74508bda6272c93c72157fd83318bf53fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:42:06 2024 -0400

    CI

commit e4c9339c8c9e3d45d639665b90a007e2bfb51ba8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 18:40:09 2024 +0000

    bumped changelog version

commit b6ac02ee8340d60016cdd0bc8c8f7e8793c5018e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:39:19 2024 -0400

    rebuild

commit 6631eda12790ee2f7240418d3938c0b3dde897ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 18:28:49 2024 +0000

    bumped changelog version

commit 652ff3ce91c18e1718191efb72a62cc6cb1661b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:24:51 2024 -0400

    CI

commit fad8909cade21b56036b7115c2e09d3e03a2f69c
Merge: 1e4410a 1c4b903
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:21:47 2024 -0400

    Merge commit '1c4b903'

commit 1c4b903eef47787513ad8efe6860389f2e1565d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:19:29 2024 -0400

    minor

commit fc83549659deb8e5a5d4f8af98c4b7f9153dee00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:14:48 2024 -0400

    shell options

commit 6385835cdce34c4b20afb3379e038d37aa4352c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:03:45 2024 -0400

    minor

commit 5c8612f556c5229e123d358d70931f60be68f109
Merge: 382b1bb 82425df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 14:03:16 2024 -0400

    Merge remote-tracking branch 'grass/master' into HEAD

commit 1e4410ab1809b225d6ad87421cb7fba954ff7810
Merge: 382b1bb 82425df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 24 13:57:47 2024 -0400

    Merge remote-tracking branch 'grass/master'

commit 82425dfefdd2def0f227b29d2ec5ac3be8cc0314
Author: grass <grass@danwin1210.de>
Date:   Fri May 24 16:00:19 2024 +0000

    Make build script for the installer easier to read

commit 600b79744396b7b0f0fc4286c897ab26212b4abb
Author: grass <grass@danwin1210.de>
Date:   Tue May 21 14:51:16 2024 +0000

    Build installer from sourced files

commit 680dc0831e6747cb5408adb981f9af3b220e565f
Author: grass <grass@danwin1210.de>
Date:   Tue May 21 08:27:46 2024 +0000

    Remove eval command

commit 382b1bb768e377ffd86713b6eccf61294a30a6ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 19:00:36 2024 +0000

    bumped changelog version

commit c2df77b7170bbcef37cc5cba6355f7688835fc04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:55:11 2024 -0400

    refactoring

commit e6ae6cfca71e5a6e44ee92c7d2aabff276b257e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:37:34 2024 -0400

    refactoring

commit 974286f73460bd35e64d99407cbf06357004cebf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:22:55 2024 -0400

    vboxmanage

commit 52f445e1df53790173ab2ad184004d152848c89c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:17:27 2024 -0400

    fix

commit c9f9c6435671f7de696e7bdf3e840fb914a53f19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:16:47 2024 -0400

    fix

commit 7ffced9947c5749047c843666e2611c69592359a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:13:16 2024 -0400

    fix

commit 43e12e9f53f956b314d4beffaef487fd24aa73c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:12:56 2024 -0400

    debugging

commit a4a4310644972f4688b6358fb0412684e63a3802
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:10:44 2024 -0400

    refactoring

commit 2a0bb308d7d1c4a014a487a8a2321a82a2e4718e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:04:29 2024 -0400

    fix

commit 0a49a5d3c6e06030e8efa9bd578b2510bd30124f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 14:01:45 2024 -0400

    comment

commit 09ba8d2d934ddac6220d239b0f24bd13fae637bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:59:02 2024 -0400

    add support for non-US system languages

commit 8529e54a88ed57f6eb6cbac4d45ee48faf03011c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:37:17 2024 -0400

    comment

commit dfc9a9aa72347bfc524272fe8aa6b4f02b049193
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:25:23 2024 -0400

    refactoring

commit 516aed422fa4875c9a82f681ff73c8197fe1f9bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:19:56 2024 -0400

    comment

commit b22497b2ff28d9884ba0c75c9fec0e43010534dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:16:23 2024 -0400

    torsocks currently not available in Debian testing, do not attempt and fail to install it

commit 67cf9f16ad537b29a5f41935b11c34839a854f1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:08:30 2024 -0400

    compatibility with nounset

commit e67d87b1b4109058cb537474e4340a725e3de8b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:04:32 2024 -0400

    comments

commit b3f94f15ed774ad890876f3443724eed5197fce7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 13:00:55 2024 -0400

    typo

commit 3e7c13e36a7a1be14e934bfadcaaa1faba02b101
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 12:56:07 2024 -0400

    CI

commit 1f2fe7a205bced85eb66e081000753676a88bcbd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 12:40:52 2024 -0400

    CI

commit cd6d33ef935b0f3b5ef25892d358f0408cfad9bf
Merge: e91559f bba6691
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 12:34:19 2024 -0400

    Merge remote-tracking branch 'nyxnor/master'

commit e91559f060494954193d677cc0abeb3b85b74d54
Merge: 86fc5e2 a6a56f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 17 12:28:08 2024 -0400

    Merge remote-tracking branch 'grass/master'

commit bba66918cbc731fe13c7ea9a7007eb24927dad9a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue May 14 00:05:13 2024 +0000

    Exit on Kali Oracle repo not being found

commit 78826bdf3dd9d8038b2eed905d84b810ede2b494
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 23:57:23 2024 +0000

    Oracle repo does not work with Kali

commit 156be00771c1536ea72299b5fa930b3985dafd40
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 23:35:17 2024 +0000

    Shellcheck unbound variable

commit 733d241dc1ab0e0a1e49064f3f5345987f7493c4
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 23:27:51 2024 +0000

    Warn that deb822 is unsupported

commit da3f0e30906416d4a1c755914026feb1ff0635be
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 23:19:01 2024 +0000

    Kali option to install from oracle or contrib

commit 7bc1c9bc4145106921831cd089bf0dbdee3b513b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 15:26:01 2024 +0000

    Remove linux headers for Kali

commit a92e9c03aa3fea821304a5efcb7c33ce809cfc98
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 15:24:19 2024 +0000

    Lower case red hat

commit 0a6a2e3dd3e3d92de380099021ac5869c41a7814
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 15:14:19 2024 +0000

    Add missing sudoers line

commit 7508e9dd31857a14138a6c1e0f9fe6dedec87868
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 15:11:06 2024 +0000

    Remove extra line from CI

commit 67e6f3c1088c010d0e769e5a90fac27fbff7fa3f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 15:08:27 2024 +0000

    Kali without torsocks
    
    https://pkg.kali.org/news/583693/torsocks-240-1-removed-from-kali-rolling/

commit 6914e4ee59ffdefe659e4177589ee6482153ade1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 14:48:06 2024 +0000

    Print Debian derivatives sources.list

commit 34925653a39c8dc5cc5ca684e2a82561ebd03627
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 14:45:40 2024 +0000

    Fix syntax error in case statement

commit 3bb74fddb9ea5b20868c61569a06caa01ee8eb53
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 14:45:25 2024 +0000

    Update Linux Mint version to 21.3

commit bdef514bf974070dc9cd4022cffcfb8f6ce66267
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 14:34:01 2024 +0000

    Discover if Kali has torsocks in repos

commit d913372207f56d63686283aaaedb31ba22ddc087
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 12:37:56 2024 +0000

    Future proofing lower-case OS names

commit 73614d4c29403d175c74965095af6f89e8650726
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 12:28:00 2024 +0000

    Add Kali to CI

commit 9205c37d82b56cf6e8745ad9c64767d5a4ee73f6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 12:22:50 2024 +0000

    Test if GHA supports runner Ubuntu Latest
    
    Setting to version 24.04 made it to the queue

commit 3f7fa111229d73165fb70ca85dc212001f19a115
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon May 13 12:17:47 2024 +0000

    Test if GHA supports runner Ubuntu 24.04

commit 86fc5e2e6a75bfe6a10a860cb107d7c379f0513c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 20 15:49:10 2024 +0000

    bumped changelog version

commit 29b7f1788a8de3300fca54b4b02efd9b0a04a046
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 20 11:30:10 2024 -0400

    dist-installer-cli: improve Secure Boot enabled test

commit 5ec6bdd77f04cc89fcf9d436b5f96017efa47abf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 18 14:01:45 2024 +0000

    bumped changelog version

commit 89653efb1e7657e66f7074a70a95991b93444d22
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 18 09:42:29 2024 -0400

    Linux installer: check if VMs exist before and after condition based VM deletion decision

commit 40b9a738461f9ac4f803f09f1a663452610ceaec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 17 12:57:33 2024 +0000

    bumped changelog version

commit 398c45345a5c46da7e731799abc0cfed1e992134
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 17 07:56:21 2024 -0500

    find out local usability-misc package version

commit d624a857b106443f19917e539e05ce311f1c6d6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 16 14:00:11 2024 +0000

    bumped changelog version

commit c80e89485fee1a215b2babf3cccb104423562d58
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 12 03:22:50 2024 -0500

    output

commit 7df01637d6664a5eff5f99f66939cbfb612d4d5a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:39:06 2024 +0000

    bumped changelog version

commit 25bda43c2f37d29c5773b2a0279431c07e5ccb9d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:50 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit a6a56f1fc21e5f21c56d2fc4c87a402417931268
Author: grass <grass@danwin1210.de>
Date:   Thu Jan 25 13:37:11 2024 +0000

    Run CI with non-English locale

commit eb803bb627b168ebcb71347570be964143004fdf
Author: grass <grass@danwin1210.de>
Date:   Thu Jan 25 13:23:29 2024 +0000

    Set locale to C

commit cd49e511991369981ba39637f78d319cd3d843de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 24 11:38:41 2024 +0000

    bumped changelog version

commit eef8f24caab6a69e4705ea4ef2d3f0f3cd057eb7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 23 10:55:41 2024 -0500

    local number_upgradable

commit 4d6348b14753c7970ce2f714f60a770563ef8ada
Merge: 5ec01f7 7b3a8e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 23 10:54:58 2024 -0500

    Merge remote-tracking branch 'grass/master'

commit 7b3a8e916b7da9b55b4cba8af830b7f3154c800b
Author: grass <grass@danwin1210.de>
Date:   Tue Jan 23 15:24:53 2024 +0000

    Partial fix for locale support

commit 5ec01f780621daeac845725cdcf41e91a93916d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:47:28 2024 +0000

    bumped changelog version

commit 95dccd30e9f9c8803d10f56e689910a9048d136f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:18:22 2024 -0500

    usrmerge

commit f83e006ef8f4e02f699094fce1ae493498a73950
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 16 13:18:14 2024 +0000

    bumped changelog version

commit 817857b92099da21b74a087a0845ba64fa46b3dc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 16 07:53:35 2024 -0500

    output

commit 87b90bff7c7015e863007fb1dc0be704661fd135
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 16 07:47:55 2024 -0500

    fix detection of how many packages require upgrading
    
    https://forums.whonix.org/t/debian-12-whonix-xfce-installer-cli-reports-packages-can-be-upgraded-although-already-upgraded-non-english-language-bug/18210

commit bd7ed1647350dd38500ff98d2439075c934f493a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 11:03:43 2024 +0000

    bumped changelog version

commit b1c045e58d9c28e82ee303505c8dbb2ec96724ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 06:03:04 2024 -0500

    genmkfile manpages

commit 825f23e7cf22300ab67c6d06585f3cda45d4d5f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 06:02:45 2024 -0500

    man

commit 6024e5fcb80b4a22cd150819b52c292e3d94c037
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 09:42:04 2024 +0000

    bumped changelog version

commit 69ac09ee5b11cf5eb747aea9cb49a09c800cb24e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 04:40:10 2024 -0500

    output

commit 296097baf6d90a84ee90a76347f63111c112680c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 09:31:15 2024 +0000

    bumped changelog version

commit c24c16c5fcf924f4dc871ad41a2b7c62d49ef95c
Merge: aa29d85 88b4eea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 11 03:34:57 2024 -0500

    Merge remote-tracking branch 'grass/master'

commit 88b4eeaa62b807cfa67fffc08906d5fb966dd164
Author: grass <grass@danwin1210.de>
Date:   Wed Jan 10 19:15:19 2024 +0000

    Replace --destroy-all for --import-only=both

commit 2bb5cec09264ffb7d16ba7d5db60d7ec78bf4f73
Author: grass <grass@danwin1210.de>
Date:   Wed Jan 10 18:54:19 2024 +0000

    Remove inconsistent .vbox state when asked

commit aa29d855ea76ac8262f95ab48713367c4d5160e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 05:59:01 2024 +0000

    bumped changelog version

commit b1193fba8d7acedc98b3cc2bb55695be7788e043
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:57:00 2024 -0500

    indent

commit 9fd48081c73ba3af0085449cee5437cc37f08abd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 05:54:43 2024 +0000

    bumped changelog version

commit 3f9e65fdc0f90439e23ef5d681a32959c03a6819
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:54:09 2024 -0500

    fix

commit 1f913fd32f270c0783ffc8a33572021a601f59ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 05:53:13 2024 +0000

    bumped changelog version

commit 57d79890b269ec2501f2e961d46c890ed0aefd03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:53:12 2024 -0500

    re-generate man pages (generated using "genmkfile manpages")

commit 2a0e4165cebbd7b6935b3974c6d4b414efc116bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:49:19 2024 -0500

    comment

commit 660d1ed59cf9954b1fc0caa9782dc1c82590e50b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:48:50 2024 -0500

    output

commit 9ab296e5e7e4f7c97a8057ca558aa7ea6a2990c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:44:53 2024 -0500

    output

commit 04f77ec9796ce3e9f5cc74107d120d489c2741ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:39:12 2024 -0500

    output

commit fefabefae5ea59c4d44f9c45d043a1c74d6ed29a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:37:45 2024 -0500

    output

commit 7002b70bd906950e36e8a079b25ab0982c7d1184
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 9 00:35:11 2024 -0500

    complete `--destroy-all`

commit 97bc802cb97de7c27441ba0328dcbbc2f8136b0a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 8 02:57:42 2024 -0500

    `--destroy-all` WIP

commit 986472fe9c24cd1036b6489d39e06fbfc3977274
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 8 02:55:42 2024 -0500

    `--destroy-all` WIP

commit 6457a156901328a19c74e4d5429121998bf5395f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 4 02:03:53 2024 +0000

    bumped changelog version

commit 5d14ab1668f3d6d01a7e0b6fd88a4dd13eb78fee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 3 05:29:44 2024 -0500

    output

commit b05887ebf604f14c836ab96fb67f367305bb702e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 3 05:27:32 2024 -0500

    output

commit 88d1f66d926f2507f20627209b3be0f55dd05511
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 3 05:26:44 2024 -0500

    output

commit 1e834b27c17766931d2994a441b9574ba0522c59
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 3 05:25:39 2024 -0500

    fix: VirtualBox GUI already running detection

commit 215966971fdfe7aacdc129b7bf30d6dde99929e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 14:55:38 2024 +0000

    bumped changelog version

commit 073a3f196adaf65a008973ad9b1e9e51e9342b11
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 09:21:25 2024 -0500

    avoid starting duplicate VirtualBox GUI if already running

commit ae9ff79d2e42feda3e26a498bb98643603a9ff14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 09:10:54 2024 -0500

    output

commit a4ee4fa780ed8942f0a1604a5001dfa673519a3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 09:09:08 2024 -0500

    shellcheck

commit 04a8355111b1695ea311c7421b2f729b234a6c45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 09:06:09 2024 -0500

    fix: ova vsys sanity test when using `--import-only`

commit 79315b289fc0ea68fac13bd2043d9ab590259147
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 08:55:38 2024 -0500

    improve ova vsys sanity test

commit 9b0cc47eeffeff8a18735154d485b3055540b07e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 08:47:54 2024 -0500

    added a sanity test to check if vsys0 and vsys1 inside ova correspond to the expected VM names

commit 97c2df48f4d9b4ae1ccf141851af5f89dbaacfa3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 08:00:21 2024 -0500

    output

commit cf3b2f7e87fe8e12fec69d3eddabce0115e55541
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:44:32 2024 -0500

    output

commit 7b68c70c64b5446d843354d95270f87a6053b3fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:43:49 2024 -0500

    fix filename

commit df87a854fba860f2df0569b9a3f1379496782a24
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:42:26 2024 -0500

    output

commit 5b72c395cc9185f4e0a3612fd6eea8d4454f7b89
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:41:56 2024 -0500

    output

commit f772e248ecb1fc2c48d5e611a716bd0146bd047f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:24:52 2024 -0500

    update mirrors

commit fd5890eb75bec2bef5041ddfb92f9e4c837109f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:24:06 2024 -0500

    genmkfile manpages

commit b4cb6156d2f6500af60b55d03ec83b393a1d16a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:23:58 2024 -0500

    output

commit 5029d670ca7977f4987c6c939aa82c673c589c30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:21:10 2024 -0500

    genmkfile manpages

commit 4ab8faab11cad7d5827477d4af99a5e067b6c09c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:20:52 2024 -0500

    output

commit a1c5a9b5fadf0871f59b1cec04bc6fc4f45b7218
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 07:17:40 2024 -0500

    replace `--reimport` with `--destroy-existing-guest`

commit 542ac9f6343e133de129430c1f3064fe97dea91b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:58:39 2024 -0500

    output

commit 16c94c1d56b057fa9bd3aee4ad4e02ddec1a31fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:55:34 2024 -0500

    output

commit 79784d91cf07722c47165de4164f43c9579231db
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:39:07 2024 -0500

    output

commit e53cb346c488940fdd2128ba9616af33ff196e17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:36:35 2024 -0500

    output

commit 3cfab9cd4276fcb29ee93efb3c305a9653f0af94
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:30:19 2024 -0500

    If package upgrades are available allow proceeding anyhow if using `--noupdate`.

commit f267cfefe018d7100dd21a195924596d133ae973
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:28:12 2024 -0500

    output

commit f095b0db517096f34c574fcac513c56728395223
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:26:30 2024 -0500

    indent

commit 8913455e727574072995f2d222d6ec31b5045a26
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:23:53 2024 -0500

    check if HOME variable exists

commit 60f3c1711e2aaefd9b8ecf44e0d4f3a01ad346d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 2 06:06:21 2024 -0500

    fix: replace hardcoded `/home/user` with `$HOME`

commit 0555f1f8cf975c1b70bdff1395d4c1ffcf7d1802
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 1 16:36:07 2024 +0000

    bumped changelog version

commit 2439b937a7cd5515d9d8381f97fce85c7877e6ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 1 11:35:51 2024 -0500

    output

commit 707bbc6bce7f14c27e9476af70db13a1cca58103
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 23:03:00 2023 +0000

    bumped changelog version

commit fa6f2ce8a7fd67125347f6ae0bdb90ccb406322f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 17:41:44 2023 -0500

    check if unexpected unregistered vbox file exists

commit 31e45f7b47ca10e4457d7a61c862acdfde62e3df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 17:01:33 2023 -0500

    output

commit 918016aaca1d89c08a1cd1db2ab814b881a3847d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:58:48 2023 -0500

    comments

commit b20b5b66421d5a8bbcaf7cdc0bb1c051f19e39b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:56:59 2023 -0500

    refactoring

commit b55e6c578d09797e697bd6ff1df795d973b5eec7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:55:15 2023 -0500

    output

commit c4a69a94537e6060f1bc262d8f263080d0b715a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:49:26 2023 -0500

    output

commit 6a31908eef0208fc8476cae63c8ca9cb926a1991
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:45:09 2023 -0500

    output

commit d6f692909c5e0a82e85697fdb08319d4e7fb23ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:42:14 2023 -0500

    output

commit 8f949a1eaacc9123cd8db65b42dba47b51d47cf1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:40:56 2023 -0500

    output

commit c23a6373f490a5eec1363750390367b3b78f489e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:40:15 2023 -0500

    output

commit de86d599c670b341969bff7ba2c90c900cef39b1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:37:46 2023 -0500

    output

commit 4e728abc68930bcc0407ac885d4cacdaed9060c6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:35:27 2023 -0500

    set download flag only if integrity check succeeded

commit 77674fa22c48efcc92e2ed1865bd2ed903c721a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:30:17 2023 -0500

    refactoring

commit ebe944847daf999272110fe13a34ae7186edce6f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:24:18 2023 -0500

    introduce --noupdate

commit 3f52b3dc387672f098ef9cedfa9973fb936f647d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:20:18 2023 -0500

    output

commit de8973c243998eae64d50ca71ff98eafcc934630
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:17:28 2023 -0500

    output

commit e280284e647dedb9dcc09a85bf77c23e20895802
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 16:12:18 2023 -0500

    fix: --import-only;
    allow only importing one VM but not the other and starting it;
    don't run package manager updates command when using --dev to safe time

commit 4e10c68e7c773041897f3f2c48052fc28eb5fef9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 15:44:25 2023 -0500

    split check_vm_exists_virtualbox function

commit 653545067a5eff67ee454922cb79c066f305739c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 15:23:16 2023 -0500

    refactoring

commit a3a1805f152b02c83b97eb7bb367a65ff7862076
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 15:21:04 2023 -0500

    fix setting vm_or_vms_already_existing_test_result for Kicksecure

commit 47c46ba21c1b175d6ed48ffe6626aafc243b0fa5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 15:11:04 2023 -0500

    output

commit 3f5c8e9c67b8216a35cb1fd2f613f8f07db03493
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 14:47:39 2023 -0500

    remove duplicate check

commit 101a4543a788a88898db1dfcef7ec89bdefbb53f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 14:44:45 2023 -0500

    fix: do not reimport unless using --reimport

commit 9f6f6ece9b5b5a396206523a348d989fc240c165
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 14:37:48 2023 -0500

    refactoring

commit a46c72ebb33d114ece4f550ab544ccf3a3d38114
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:53:43 2023 -0500

    output

commit 1f51800520e16659ff51df1975ee06858faa0ad0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:53:13 2023 -0500

    quotes

commit e889522aa78425286182484174d63708e624c208
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:51:23 2023 -0500

    refactoring

commit dfdb922a1c899e726dfa856e4fb6174d6916628d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:47:16 2023 -0500

    comments

commit 1c185d30fddcd1f5d188cad3c703fa0fae66c9a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:43:14 2023 -0500

    output

commit edbcb2f305341ec79467c8a78b4ef3f92abe3ef9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:39:41 2023 -0500

    fix: suppress stderr from vboxmanage showvminfo in case it is expected that no VMs exist yet

commit 129470c05cef00b04ab6507fd5dd26d6ee0c27c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:37:55 2023 -0500

    output

commit f3b258a350feec6d7d72758758ff7828d8b55e03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:34:06 2023 -0500

    output

commit 5cc48879710b22e1d6ffa5a210e9308a4fb0c917
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 12:28:09 2023 -0500

    code simplification;
    check if VMs exist in dedicated function
    refactor from where check_guest_boot is called
    fix: --dry-run operating system updates check;
    output

commit 79570b18d3f85902798dfc2cc41e298da4cd4b7d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 11:33:37 2023 -0500

    move check_vm_running_virtualbox to check_vm_exists

commit ef79e623ee42f85b935074336b8b1ff3d25679a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 11:28:27 2023 -0500

    refactoring

commit 0b3d8cf92bbd4eb015cae819252e96d8caae3ec7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 11:26:30 2023 -0500

    refactoring

commit 8674dc001e62545da73b997492aa73a939d0b339
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 11:23:55 2023 -0500

    shorten conditional

commit 8ed4278d3059e1f6c037c39d8cf7f4170409d4d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 11:14:16 2023 -0500

    shorten conditional

commit 36ed9e8707d768bc4f9b556723d8f8917e35edea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 11:11:10 2023 -0500

    refactoring

commit 63c40bebe5a12a0646d490db87e1a245bed32947
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 31 10:40:13 2023 -0500

    fix: localize and properly initialize dialog_box variable
    
    This fixes the the interactive license check if neither dialog nor whiptail
    are installed.

commit 017f043353a6e3b27e1b42435181bdccdce14838
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 21:21:51 2023 +0000

    bumped changelog version

commit 6b01e0e70523fdb564d106dde36d2692f2f342bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 29 16:21:22 2023 -0500

    update for new sha512sums link format
    
    https://forums.whonix.org/t/whonix-linux-installer-development-discussion/15917/161

commit 7a0600c5921d7d525102048744877a5ab9308c61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 18 14:47:25 2023 +0000

    bumped changelog version

commit 8ddd6699cee1fb7c0559bf3e4f3a1be5543cced7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 18 07:45:37 2023 -0500

    no longer install apt-transport-https
    
    because it is a dummy transitional package,
    its functionality was merged into apt

commit eaba8981099a35acbde375ff0a01470bcc08efbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 16 19:12:50 2023 +0000

    bumped changelog version

commit f0c0e1b481e5cf5a0c44c71cf6d345f00c98e332
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 16 14:05:37 2023 -0500

    virtualization test: hide CPU brand by default
    
    for better privacy

commit 11531de02eabd3be83a13bbb72e5e8b0a21190ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 16 13:52:36 2023 -0500

    local virt_flag brand

commit 5f426323cace8cae256a87234c299a0387cf1557
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 16 13:50:07 2023 -0500

    fix: show only "likely caused by warnings above" if applicable

commit 403ceb02e4334e62ee81c0b9ddbf4de3c17c338a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 16:45:24 2023 +0000

    bumped changelog version

commit c6e8668c12c5de50f408d1fb165eacc259f800fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:44:53 2023 -0500

    fix, make sure install_pkg_fasttrack_extra_args_maybe gets set and code simplification

commit 8a70d4ba247e7bfb547562845891ad0678e4ec34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 16:38:32 2023 +0000

    bumped changelog version

commit 57412fed5f9ed503049e77977691361155fff9f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:37:42 2023 -0500

    unconditionally enabling additional repositories without checking if VirtualBox is already installed
    
    to ensure that upgrades are installed

commit ed305c6a549151206cb6e66ebd8513ae2f82d82e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:34:29 2023 -0500

    comment

commit f96865d8aaa7b8a38b5bb314bcb9a0b1b5c9a10e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:33:01 2023 -0500

    refactoring

commit 8f8c54547e8d7f843f0438e235237de5c6541124
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:31:48 2023 -0500

    always run APT commands to install VirtualBox without checking if it is already installed
    to make sure upgrades are installed from Debian fasttrack

commit 96ba90db9514012595df66006cb2902f95a5a1a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:24:01 2023 -0500

    Ubuntu: install virtualbox-qt instead of virtualbox

commit 282ad859a27ff44bf586e5d4861caf2c428ff916
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:21:48 2023 -0500

    refactoring

commit 1f4a9a8de2f949ae17ebf881b796af510c8340f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:21:13 2023 -0500

    output

commit 42d22a94bce20f81c8997dda1f3a880ce8a05a0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 16:13:11 2023 +0000

    bumped changelog version

commit 9b708f23ac766b590127c4d9476731cb4b48434e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:11:58 2023 -0500

    run check_upgrades_simulation after determination that fasttrack needs to be or is enabled
    
    because apt may not fetch upgrades from fasttrack by default
    
    this is the case for package virtualbox-guest-additions-iso

commit 49a7e097ed142f3353f9ff7c67e15b546e21b94a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:03:44 2023 -0500

    quotes

commit 5f8c357712d8e3542f36a4eb37186dc4360d88bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 11:02:18 2023 -0500

    update: dist-upgrade -> full-upgrade

commit 6664c3134634a08c0d5227ec0423c7c56a423eec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:54:17 2023 -0500

    comment

commit c68bb5c4800d61f1ccca2afd6dbe42846de35bc6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:52:30 2023 -0500

    output

commit f235cd9daa1166dd4188b0577c9ccd4dbeb9b02a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 15:46:45 2023 +0000

    bumped changelog version

commit a29ceb4058419de33d6e71f11c6ea489c1d5a2c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:32:57 2023 -0500

    CI: skip testing Fedora with --onion
    
    because Fedora onion does not run the Tor systemd unit
    does not come with systemd installed by default
    
    to unbreak the CI until this issue can be resolved

commit 57d4f1c516bb680be70db30509d9bbddd233cd14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:26:23 2023 -0500

    output

commit 62530a47488d8f1b4144077d73d32c5fd0e4e77e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:24:04 2023 -0500

    --privileged option did not fix Fedora CI for starting Tor, hence removed the option

commit 2b38ab953f14e52be22caa7bcb0dab1e73d78735
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:23:45 2023 -0500

    comment

commit d6625bb3dadb9dea6bfa7ac46a7729688436472e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:22:21 2023 -0500

    shellcheck

commit 34836bbcbd0c3e924f66d95cc719bc76786da538
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:11:45 2023 -0500

    fix, do not hardcode distribution suite name such as for example `bookworm`

commit 36ef4035a912e4a4687de483c2967fc06a1e10da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 10:09:29 2023 -0500

    add support to install_pkg for passing additional arguments to package install command
    
    required to pass `--target-release=bookworm-fasttrack`

commit 297aacc05f95d1230441e111a196a50508cc5a90
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 7 09:48:16 2023 -0500

    fix, use `apt-get --target-release=bookworm-fasttrack`
    when installing from Debian fasttrack
    
    virtualbox-guest-additions-iso is available from Debian stable and fasttrack.
    Debian stable version however is outdated.
    If not using APT with option '--target-release=bookworm-fasttrack' then
    APT would download an outdated version from Debian stable instead the
    newer version from Debian fasttrack.

commit a9ec6f9e426e1b8013a2df4b2c153ddf7511b7ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 08:06:09 2023 +0000

    bumped changelog version

commit 6c0d701c0d5ef9a707d72ca0d772276811d62e4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:53:41 2023 -0500

    debugging

commit ac4bd0aa126355c74a3db37762326c8bb33d4dc0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:52:10 2023 -0500

    Ignore need_reboot_check_second if on CI.

commit 5e60bc8c3bb36f5b9dd9c79916fda0352626948f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:50:42 2023 -0500

    refactoring

commit addd33a80a13c0b156c6d4111d7a73cc1c4acc6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:45:45 2023 -0500

    Install also the virtualbox-guest-additions-iso package if available.
    
    - It is available from Debian fasttrack and Ubuntu.
    - Unavailable from Oracle repository.
    
    virtualbox-guest-additions-iso is Freedom Software:
    https://www.kicksecure.com/wiki/Dev/VirtualBox#VirtualBox_Guest_Additions_ISO_Freedom_vs_Non-Freedom
    
    Provides file: `/usr/share/virtualbox/VBoxGuestAdditions.iso`
    
    Useful to easily install matching version of VirtualBox guest additions in custom VirtualBox VMs.

commit c61e1f83ae518be8879e72cc6f07cf85a1e6cb78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:33:19 2023 -0500

    minor: remove extraneous newlines from script source code

commit dda7bd5e9acb1eeb86c47ba761e3f9d41673a93f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:21:10 2023 -0500

    improve error message in case of `dpkg --audit` showing errors

commit 61eebef0429f22077d89caffdcd809ac78cb522c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 02:12:49 2023 -0500

    fix:
    - prohibit downloading VM images in Qubes Template
    - do not start VirtualBox in Qubes Template
    
    Downloading non-Qubes VM images in Qubes Template makes no sense. Not even for development purposes.
    Installing VirtualBox inside Qubes however makes sense for development purposes.
    For example, this permits building non-Qubes VM images inside Qubes VMs.

commit 674cc2e85ce948d125c17e7707867a4564db4873
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 00:40:54 2023 -0500

    comments

commit e12a5451759829db153b684663105e10a7490d0f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 00:25:29 2023 -0500

    fix: if using --no-boot do not prompt to start VirtualBox and also do not start
    VirtualBox if using --non-interactive

commit d59cb611a3e648cfddcca3313144f7997bfd0e7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 00:21:45 2023 -0500

    remove confusing comment
    "Default to start guest without interaction"
    because not really starting guest VMs without interaction unless using --non-interactive

commit 36a920f55004a9187c336f40fd87d4e6f7dbc058
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 00:21:20 2023 -0500

    comment

commit ef459b7bf1c8f8255153806bf6f434b2a7f49c61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 00:15:49 2023 -0500

    localize response variable

commit 35a760ec0eb1921e6c55c934f37e6680c74ed2d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 5 00:15:02 2023 -0500

    output

commit 278469b11053528d722e9015a52f2a397b47d930
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 27 04:55:09 2023 +0000

    bumped changelog version

commit ba1e03d629c719e89dcb3c001f42724b73bd0505
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 26 23:30:23 2023 -0500

    Revert "add new usability helper scripts for Qubes VM backups"
    
    This reverts commit 61f2444188c3628135e0dbbc9dd7ec11fbef0091.

commit 61f2444188c3628135e0dbbc9dd7ec11fbef0091
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 26 23:22:37 2023 -0500

    add new usability helper scripts for Qubes VM backups
    
    qubes-mount-dev-xvdi
    qubes-unmount-dev-xvdi

commit eb3d0dd3ee8b7c52ffb543345b6f13fb546acd3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 25 07:19:36 2023 +0000

    bumped changelog version

commit 5e022218c1d7ab91e06f3a7170362a5387a13ba2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 25 02:18:58 2023 -0500

    fix, /dev/vboxdrv is not a file, it's a device
    
    hence test -f does not work
    
    using test -e instead works

commit 5ccf886ffc43f843b5d8a284cf94dfa1e3f0a49a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 16 05:45:26 2023 +0000

    bumped changelog version

commit dea35967e281af8c36be4711efe16aa017ef96ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 16 00:43:43 2023 -0500

    fix documentation url for --virtualbox-only

commit 6e2fe5b74095ee686807ac5b5ede06d7d3bdfc80
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 16 00:39:15 2023 -0500

    output

commit f58b5a584d29ce9990d18bb0bbd45b91ffda5825
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 16 00:37:42 2023 -0500

    output

commit 86ba52fc357dc49f1fce254b5375408f7a73196f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 16 00:35:36 2023 -0500

    output

commit 445cad912b3e8ae3343c8fce1048bc25e8e62733
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:27:17 2023 +0000

    bumped changelog version

commit bc1cf5b77ef460147621bbb08f17fe54a22837eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 14:43:10 2023 -0500

    copyright

commit d14f0a5335aed6663a71b83c68c187244c61f4fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:54:10 2023 -0500

    CI

commit df8e8654f3c327d60a0c583f730a27d16367eafb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:44:18 2023 -0500

    CI

commit 1f37af8acbbdb64d98e1b0c5133ac3154aebf17d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:33:41 2023 -0500

    CI

commit eeeaf2d84c48f43a25291716acf5ab30ca3925e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:21:23 2023 -0500

    comments

commit d2c24c794d62a0cdd3f94b25713f0691641a0cd1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:19:35 2023 -0500

    fix Fedora 38

commit c3ce9a4780153441e072113ef5a914a55728c63a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:12:19 2023 -0500

    fix Linux Mint

commit 69c442cb9bd0dc8e8e0c06dfea1a6a7a4df0a231
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:11:08 2023 -0500

    debugging

commit 977d75546e5409a16d7b40cea994668d682b1430
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:09:59 2023 -0500

    /usr/bin/needs-restarting

commit 4153d70e8e43ae975df1afc2d0b025ae41be03e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 21:01:38 2023 -0500

    Fedora needs-restarting

commit 98e2d219d94c17286c74259cbbac50b45a8dc9c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:57:04 2023 -0500

    fix distro detection

commit 7d8f3fa2bae506f9230f988d431f09dab10537b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:46:02 2023 -0500

    fix needs-restarting installation on Fedora 38

commit c00d5e277f4629864728ea31d5f51cc0070d93d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:41:08 2023 -0500

    fix

commit 7012e94645bd683aa0cbb1de64aff8c70c8373d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:28:34 2023 -0500

    consistent kernel image and headers installation

commit 01402c26bd6a333983605253d7a8154d586d11c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:26:17 2023 -0500

    fix

commit 58c9a997dddf904efbd8fb794348359ff1a86d3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:24:09 2023 -0500

    fix need restart check on Fedora

commit 12a270bf2861c9a2625b5a57beb76b47c8fc3682
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:19:42 2023 -0500

    CI

commit 5edef848b7ae14c55d7fd515da07beec68dba07e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:16:09 2023 -0500

    CI

commit 28e732c850fe3a9ba09894ee47b8a5a99a2656f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:14:41 2023 -0500

    fix

commit 096af388b4ea5d60d48252756e7f4ac39a530ac0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:10:47 2023 -0500

    CI

commit db70a67c221460b96a2d73c9f706cffada1b41d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:06:35 2023 -0500

    refactoring

commit 2a19e5b74eac1aaabcbd590615398863ebb5df3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 20:04:06 2023 -0500

    refactoring to fix need_reboot_check

commit a0757431bd61bd14685e449607538fbfdee88226
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:49:31 2023 -0500

    debugging

commit 6d344dddd218eb50963b0bdbe912cf82115c6765
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:36:56 2023 -0500

    CI

commit 34103e06b2c6155a05a2dcf3c75750d9b548e348
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:32:01 2023 -0500

    check if a reboot is required

commit 0f54f3555ecf52be1a0305ee49b15de0acb3da64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:17:41 2023 -0500

    fix

commit f242cc624f7c0c7229f85387062cfa89ed950348
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:17:10 2023 -0500

    refactoring

commit 27ffd2780a90eb9c2ad786c4a2116619e8a03f94
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:12:13 2023 -0500

    check if a reboot is required

commit 92f121929982ad5fae1e7c2855b229d47a776036
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:04:06 2023 -0500

    output

commit 501a3959550277611fde92f5343e7a4566a63094
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:03:23 2023 -0500

    fix loglevel

commit b692c8cd84d5c91a230e86b2575ce68a82195527
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 19:02:24 2023 -0500

    check if upgrades are available
    
    https://forums.whonix.org/t/whonix-linux-installer-development-discussion/15917/149

commit a73596c54433e8b73e5aead2ade51c58a0006df5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 18:37:20 2023 -0500

    output

commit e42760cb0c30bd9530aa58c1e37ccf43dfe0d603
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 18:17:25 2023 -0500

    output

commit 07b2c53d8067df559865128fb4821b1c10462642
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 18:12:37 2023 -0500

    output

commit 3563e606d836df609ee66f22aebd082cd356d204
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 18:06:39 2023 -0500

    output

commit 4a1201503789d21852413d0ba30c64cdd225fdab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 17:26:50 2023 -0500

    output

commit 970a2c320941b50ee23922917ee5f0d88571d13e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 17:24:57 2023 -0500

    CI

commit 624cce4f67ff98bd515dd1d1824c741d445780b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Nov 9 17:23:53 2023 -0500

    output

commit 027643143bff77378fc321407ec32f6f2190982a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 14:56:29 2023 -0500

    bumped changelog version

commit 71fde154e1976f17abf923adf4a852c556d21eea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:35:59 2023 -0500

    shellcheck

commit 862d0c5074e3fdec11548e7c6810119a328414d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:34:08 2023 -0500

    improve kernel modules checks

commit c8e8ab6082b807ca5cc002923b17fd7f7e9f01b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:32:28 2023 -0500

    output

commit 8ee87b0ab4af09740d2328ba2d46930d40abd984
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:31:39 2023 -0500

    shellcheck

commit 0d4310d67531beaa5fc113eb6f725b06a26393e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:30:28 2023 -0500

    fix

commit 3d358172ac198e60cb2fd6a39c62e69e8fa3f147
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:29:49 2023 -0500

    fix

commit 4ebf0a4478cded2b2f732e6f667c44b93925dfe4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:28:39 2023 -0500

    show Secure Boot status in case of VirtualBox kernel module could not be load

commit d9a4ad3c8160e96159825aac9cc8812c58ac3d07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:22:47 2023 -0500

    CI

commit 38b04569e370cd48ed7bab052760326758bb36a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:20:40 2023 -0500

    comments

commit de39d89ea5dc67b72e98c9a233a45e9434bd0c34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:19:51 2023 -0500

    CI

commit 137537df8671f841887aa37232cc7a452a3f332c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:16:43 2023 -0500

    check output of modprobe vboxdrv

commit 3f6da07c7ddac5a5dccf1ca2f5c79fca0537bdb3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 13:07:11 2023 -0500

    show the signer of the vboxdrv kernel module

commit 5b6805547b31c53e37b98c00ec3cba2f559082f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 12:43:30 2023 -0500

    check if only signed kernel modules can be load

commit d433f64e5f1733d7423e86f0e0587299defa7bc7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 11:07:14 2023 -0500

    check if kernel modules can be load and have been load

commit 3b84bca313b2bbe78fca212903fe2d959e071a66
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 09:36:25 2023 -0500

    check if vboxdrv kernel module has been load

commit 3f6109afc3ff3ebc7ce4cb06570bcc9c82372d41
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 5 08:59:20 2023 -0500

    CI Tor

commit 33ad54566c288cb68a61bc8a5ff9c80e8fdcd1a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 21:34:30 2023 -0400

    fix comment

commit 0fd1bbd015ebddb263b54016bf65b5fe73b720ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 21:30:59 2023 -0400

    check if kernel modules can be load

commit 8dcbacf41ca9df3b751a79f00ac0ce85a3a206e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 21:13:54 2023 -0400

    CI Tor

commit 4c595af5508f453d189212705dd273d0604831a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 21:10:47 2023 -0400

    fix

commit f9fb58c2fc54acac7468a6aa2da4111f1cc552f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 21:05:40 2023 -0400

    refactoring check_tor_proxy

commit 3439108b836ec3e3af943e300eb873dad057c6c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 20:50:11 2023 -0400

    CI

commit b4ee109aa8041c169c7b2e6a9345c155ea3f8b21
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 20:49:54 2023 -0400

    CI

commit 57ad6eee1a09bba21e01d44a3363e49b9e9d47a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 20:45:29 2023 -0400

    CI

commit 7635133f8ef7544c5aa3c9c1d87e1d5fb07afe87
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 20:05:28 2023 -0400

    CI

commit 57b01bc22aaff80eb916d1f656c75fefcd284afa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 20:03:20 2023 -0400

    CI Tor

commit 677c0a6d9d9d2289679ae00176f83501333fa247
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 20:01:15 2023 -0400

    CI onion

commit 3be6993b5304f6dc48326bb879c119da5b407bdd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 19:53:42 2023 -0400

    onion

commit f9ecdcb845b6ed7d2da01c699d579a20dfd7d5d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 19:52:29 2023 -0400

    refactoring

commit ff0fb1df2f5396e6078ceba8d05b057a7eb8d2ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 19:49:59 2023 -0400

    cleanup

commit e98e75f94781304f0e8d19de20ac34668f03c6cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 19:47:16 2023 -0400

    fix
    
    Invalid workflow file
    The workflow is not valid. .github/workflows/builds.yml (Line: 94, Col: 15): 'run' is already defined

commit f5349756a29c753174d7a6c2b1013d69b66c0209
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 19:03:16 2023 -0400

    remove --no-show-errors leftovers

commit 2ff96c46b9e07c9264e1ed49904af6f21305b508
Merge: e271f4b b25e6a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 4 18:55:36 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit b25e6a732b6418c71f40491c8a99ce50e77d8b77
Author: grass <grass@danwin1210.de>
Date:   Sat Nov 4 22:00:30 2023 +0000

    Phase out sh compatibility

commit 090e3a81535bf58e335e3442b2190f5ddb073219
Author: grass <grass@danwin1210.de>
Date:   Sat Nov 4 21:55:29 2023 +0000

    Fix unbound variable

commit e271f4bb6d8bac4a08a290771501bba0a705731d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:35:42 2023 -0400

    bumped changelog version

commit 779dd2545dbfe435f1cb0b86e57da25a205ca85d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 21 12:25:38 2023 -0400

    fix,  does not support files ending with

commit d4f30e2c19f1127da618c9aefb0edefe66b595f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:55:18 2023 -0400

    bumped changelog version

commit 91e48c2c3aa3a453e7ee0867f7a0d35db974eda0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:55:06 2023 -0400

    CI

commit 217d01b1606ce219541dc80feb9d17add49d5192
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:48:11 2023 -0400

    shellcheck

commit 74e947a8c7984e9875153acbc2518afa0bd1fbec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:46:25 2023 -0400

    shellcheck

commit aee833e57e86c6b4ee71f0f9e6bba6c43084456f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:40:47 2023 -0400

    shellcheck

commit b1b309809a69b668d5404886c59e92daacbda8c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 09:58:35 2023 -0400

    refactor setting full name of VM variable

commit 3485e940f9802098994653dc6c7c42e0cf4cb53f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 09:31:48 2023 -0400

    fix log_term_and_file_bash user log creation

commit 6afe2b456135cabb817b5185786cf8092ea1c18c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 09:20:29 2023 -0400

    improve log_term_and_file_bash

commit be41fc398a3e9860a179010eb4839999d8468641
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 08:56:44 2023 -0400

    set variable if credential caching is enabled
    
    so it can be read by dist-installer-gui

commit 56f463c367f0abe17badf4740d48a303c9365354
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 14:10:01 2023 -0400

    output

commit 1116b9d594cc8bc987f0278339f0e6efb7f0c1c2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:53:40 2023 -0400

    newline

commit cacf94d2cba2ceee4781478708313b66421f5579
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:52:27 2023 -0400

    copyright

commit e556524a2177e0685325a7b015ca5f4414d63424
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:51:49 2023 -0400

    refactoring

commit a79e80b28c43f2ee96653315edb8d97f757016cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:51:10 2023 -0400

    comments

commit e9fab820bf2b8f8280f7a6d4d07ce5ab96ef603b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:50:50 2023 -0400

    comments

commit 06b7532d49936fa83d485e52e3c6d24a53df50ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:49:52 2023 -0400

    comments

commit 132e2f9635a6b5abc50168b04d9b5fdfda3a7523
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:40:22 2023 -0400

    sh comparability fix

commit 8fd985edad61545bf6dabd3fc19013a28a0cbabb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:38:56 2023 -0400

    refactoring

commit 2ef04b3be00230d73390bd017eb2b797c8e9d93c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:32:06 2023 -0400

    refactoring

commit 4ed92ca14d35497136e48018dba510dca963334d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:31:23 2023 -0400

    refactoring

commit 16e6064a41818b72c670b95cb97f6c9de7de854c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:30:20 2023 -0400

    refactoring

commit e19b6303503f329fae0ea9315039f491d5f93bb7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:29:37 2023 -0400

    refactoring

commit 3410ad77e8225537de4b4913ca27bb43dbfdba25
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:27:07 2023 -0400

    Do not run the install script if it was `source`d.

commit a4ba0d359a5aa27d22d22bd8b25deddddf2d6371
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 14 13:14:30 2023 -0400

    output

commit 685b092c70631ebfdb8832840cd54334c29a4470
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 12 12:52:17 2023 -0400

    bumped changelog version

commit 728d6730ee8034f5f90e99f27a7cdf3eeaefcea7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 12 12:10:55 2023 -0400

    refactoring

commit eb01efddac34656c0f1cc528e4ad5b0db8d113a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 12 10:44:20 2023 -0400

    bumped changelog version

commit ebd696f76b9d1533b80317da5e05e39dda3e3375
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 12 10:40:28 2023 -0400

    refactoring environment variables loading mechanism

commit 204301fe92aefcbfd6029a8295dcbf632fecd55f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 12 09:17:22 2023 -0400

    wayland

commit ce17abcc59d5f4eb90d24e57bf84eb73b368fa83
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 12 09:06:42 2023 -0400

    comment

commit 6826f55825b673e87421eb354461327b8da103e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 10:56:04 2023 -0400

    `Depends:` `seahorse`
    
    provides `/usr/libexec/seahorse/ssh-askpass`
    used by `gsudoedit`

commit 29d3b4f7a47d4a0ab47c9d4cf01acb2dd6e03da7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 10:52:20 2023 -0400

    wayland

commit 6d778e55eb19a79e1a476906e56fe15a90f50788
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 09:09:26 2023 -0400

    bumped changelog version

commit 4efcbc260f223fd7f85cecfd9d7f59b05527eb17
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 08:55:18 2023 -0400

    wayland

commit 060a0d894535a08a0ecfa44404d3f193694f15c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 08:20:11 2023 -0400

    bumped changelog version

commit a717affa41af5b5b1ac769701048213a792ecdbe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 08:19:55 2023 -0400

    wayland

commit 2a377f5c074c066109f05274d78952011275302a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 14:19:49 2023 -0400

    bumped changelog version

commit 8fc5cf75e20a475f4b1d910be013c5c5b56a95da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 9 12:49:29 2023 -0400

    fix

commit 29f7b43836895d7cd2e09d275a9e9876babec99f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:32:06 2023 -0400

    bumped changelog version

commit 7d6fc315fac5e6864e7bdf28020eb6e7f3b03d3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:37:21 2023 -0400

    wayland

commit 8f722bbbc7b7f2f3a35619a5a1cdeee337a68a78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 6 08:18:15 2023 -0400

    bumped changelog version

commit c2ea7b47bf3a9a7591fd9da704eed84912ef9216
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Sep 6 08:11:12 2023 -0400

    install VirtualBox from bullseye-fasttrack instead from Kicksecure repository
    
    because VirtualBox is now available from bullseye-fasttrack repository

commit 72eb6079b4c6044b2335c6a36750b97c5fa0eb65
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 16:08:55 2023 -0400

    bumped changelog version

commit 4698847a4e01f95b69b6d57cfbe46652ec12ebf4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 29 15:01:07 2023 -0400

    tmpfiles.d syntax fix

commit 606f22ceb6fb98f72e9c123f1c9d8ca7e3790d8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 28 10:54:29 2023 -0400

    bumped changelog version

commit c45affea38341b7633f0dbbaaba9ca59e789cb22
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 11:26:32 2023 -0400

    CI

commit d526a726b8691f8f93cdfe383b238a39ab6622c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 11:16:09 2023 -0400

    improve detection of Debian testing based distributions

commit 0619813f4c60c67ac9aac6e8a06a030bc3f60a05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 11:10:14 2023 -0400

    refactoring

commit 2dd7a46ba035e43d8c20982ba25f0865456be03c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 10:49:20 2023 -0400

    dist-installer-cli Debian testing ("trixie") support

commit 72e1b785b8e855516773b26a9ad09150a424001f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 10:29:27 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 0995abf024a2efc58366df58c82020e830ae78ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 10:23:19 2023 -0400

    refactoring

commit 4e9e728683247cdb6d3c4588c08d133e44317fbb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 10:10:18 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 05939d87e7125f4e792f901c154d3ffc68bfaf81
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 10:06:20 2023 -0400

    improve Debian testing / unstable detection

commit 4e2dd8bdb521eff3f4af558b4bf4efa0ad036aa4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:51:25 2023 -0400

    user adduser instead of usermod on Debian

commit 5effa51b515b844c37b9b08e45fd37981447985a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:44:26 2023 -0400

    CI

commit 400aafcd5f472f8f18872f85aac2ef03005f22e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:39:16 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 29a438b2c85c6fe0f38fffa6a4f8a3945a544d8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:32:51 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit e86f7fa3aa73bcec5c55523d5f8f5a87c24e8b1a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:22:22 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 007e90a4ea2d5e3e411804f2f304cc6db00b5c35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:18:52 2023 -0400

    comment

commit 443a123402b1b0c7f6169a8fea00343bc797305d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:13:59 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 3a57d21817f95dc8209261366d477ded1006f68c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 09:02:09 2023 -0400

    comment

commit 1dbc598188830af6729652ea551589a4d5257166
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 08:59:25 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 9ea975c0c1f5491ce6a6b2acd983a8e2420995cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 08:45:29 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit 51e1ca9738522960344a73bf65bd0c61b23ed59d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 08:16:05 2023 -0400

    dist-installer-cli Debian unstable ("sid") support

commit cdcd0a377292d39350caf6d90e1fb2d149a28f79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 07:54:55 2023 -0400

    CI

commit e09040bc81cde83677c1c138b89bec91d3b80882
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 07:54:38 2023 -0400

    CI

commit 1462097ae73fc51a7a7e8df45ecba5b01bd0309c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 27 07:34:25 2023 -0400

    dist-installer-cli Debian trixie support

commit 248b85a0b36223de3e0c2a47609f79ef672f6ea4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 16:08:17 2023 -0400

    comment

commit 45c257bcd1febc7c28707408d79a67fdbf94600a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 16:06:47 2023 -0400

    try to start VMs before trying to start VirtualBox Manager
    
    because if it fails, it is less confusing to avoid starting VirtualBox Manager

commit e76c5c17f0809c8577a4f1ad3292207535236289
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 15:54:19 2023 -0400

    fix, don't notify that VirtualBox has been started into the background when using --dry-run

commit a20e7144bc592b1670b965c156626b0de469a70a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 15:52:28 2023 -0400

    fix, start both, VirtualBox Manager and VMs

commit ac71b766b7a246fb9cee9f0430d80a0e194e900e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 15:18:21 2023 -0400

    fix duplicate starts of VirtualBox Manager; new installer success message at the end

commit b58091cdfd8b90c1b08a56a3826fd34cdcc9a243
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 15:01:43 2023 -0400

    output

commit 3b7a1f863419f5f06c7de84983f2d443b69254cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 26 15:00:53 2023 -0400

    fix launching VirtualBox Manager into the background
    
    instead of foreground
    
    to free the terminal

commit 2f241433544d37cff9d118780fe1ce63b675ad60
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 11:50:27 2023 -0400

    refactoring

commit 6ceb3e874a10962b9e7a5c7442d4b147ef1a6e8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 11:33:36 2023 -0400

    view VirtualBox dkmks make.log on Debian if installation of VirtualBox failed

commit 79a2c085264426b0eff5ffd08194ff8bfd4cb241
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 10:38:17 2023 -0400

    if using `--dev` and if enabling Kicksecure repository, use Kicksecure developers repository
    
    instead of Kicksecure stable repository

commit 94b0d9297f617b499d9c83ea868015271111b07b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 10:32:18 2023 -0400

    towards support for different codename for Kicksecure repository

commit 924bb84488d0fddf59038b59efceafed3410947d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 10:30:57 2023 -0400

    refactoring

commit 25669e7fffc5216fe9d12a78a3e967bdffc2de8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 24 08:50:49 2023 -0400

    package lsb-release needed for also for VirtualBox Installer

commit 8e574f695e13ebe42bc0214e141e3f990a518d71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 17:53:28 2023 -0400

    bumped changelog version

commit 90a9ce04925f75e398a1fcb291576f81ff16912c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 11:00:55 2023 -0400

    fix mirror range_arg check

commit 0b488f5073b455791819a53ecef0441254f656e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 11:00:15 2023 -0400

    refactoring

commit 986d277b46074c941552eb9b961200a569c79cce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:57:15 2023 -0400

    comment

commit 97bd3a3da1b7ef842d88df32b83b91c5dd378551
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:56:33 2023 -0400

    no longer use mirror by default

commit 282c42ec16c2e6585980f52d14047719cd023be2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:54:47 2023 -0400

    mirror number change

commit 59c73ba3d572d1129d880c1a9fa7541adfa82a0e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:53:43 2023 -0400

    remove broken mirrors

commit 81833635f9cad0cb32a0bfcd561f073e7d126332
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:45:36 2023 -0400

    remove broken mirror

commit 9f27922a0ca0120127bc248e7526d80db54c9345
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:42:24 2023 -0400

    CI

commit 1b50457b1206fdbf9e67a395ff7c39d42873037a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:24:51 2023 -0400

    bumped changelog version

commit d70b6b3f250bf27d5200e50a299e9dbf7f0f3aa2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:24:50 2023 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit 7ebcaeed8e7ae3e4bc8d1c09032465971015477d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 10:24:29 2023 -0400

    output

commit 85a64c115d07c35f35c710097641609d0e67b8d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 22 09:44:41 2023 -0400

    bumped changelog version

commit e0cae600c00ecdd2a948b5be2e7696e2810f6c84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 21 17:44:09 2023 -0400

    --gecos -> --comment

commit 6e7cb9f9f831c1a5c728d2c21b8f56a8c44bed9c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 19 05:12:02 2023 -0400

    bumped changelog version

commit a3bcf2f04736a59032159d6075367ee0d32fc2f7
Merge: 7d6c95a be50cbe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 19 05:08:54 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit be50cbea051629d37e122c99f9f95276a69ee6e9
Author: grass <grass@danwin1210.de>
Date:   Fri Aug 18 21:55:14 2023 +0000

    Maintain test consistency

commit 36ce4cb03a68154430d6fde4608727dba8b56b85
Author: grass <grass@danwin1210.de>
Date:   Fri Aug 18 20:18:12 2023 +0000

    Fix zsh completion oracle-repo

commit 7d6c95aae61c45d0ac66df9aa2bcf148dc85c6fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 15:05:04 2023 -0400

    bumped changelog version

commit 0406ef7b8cfabcccb4ad676dbcc5b6c97aa0f7a8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 15:04:20 2023 -0400

    renamed:    usr/share/zsh/vendor-completions/_dist-installer -> usr/share/zsh/vendor-completions/_dist-installer-cli

commit 8fbf68f5fed58e03964c2bf8364497d8548a2f34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 15:03:34 2023 -0400

    dist-installer -> dist-installer-cli

commit 1eec50002f13a93a33237adf9487b0fafb4193eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 15:01:09 2023 -0400

    bumped changelog version

commit 84f2496d9b649aafe5472e79636d4c6d9f38aedc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:56:03 2023 -0400

    CI

commit 35d906d7e908c1281f1f826ec57adac00be13a13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:55:46 2023 -0400

    comment

commit 413f7595a4604a15db7d1405ddcfdabbfc6a0c81
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:50:17 2023 -0400

    dnf

commit 01827fc48201774bb845a28fa288ecc2553df654
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:44:45 2023 -0400

    dnf

commit 6e2bb6be723efa7f5271a2e292a7f21635ca69a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:28:16 2023 -0400

    dnf

commit 54849fe898164f6e7ae8d8d0d5f0e0f8ca98a616
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:24:35 2023 -0400

    CI fix

commit 3b8b0d34a41130f607965fefbf73d16c9ffaac83
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:22:16 2023 -0400

    dnf

commit 3de56992dd5dd010dc537c22439cbef50f5dedbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:18:40 2023 -0400

    dnf

commit de8acc4369c65ab0ab30753b9372ac1279b2a8dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:14:49 2023 -0400

    CI

commit c3b52f0c5a2f601130da9d929d40db16d3648d03
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:11:55 2023 -0400

    CI

commit aa2b77673868d7d062d49da04ab13a9001b5b874
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:10:57 2023 -0400

    dnf

commit 380d2dca8151f5cd559bb4212036247eb4439615
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:07:56 2023 -0400

    fix dnf search VirtualBox search string

commit 32d360de320f8d6757e4bb7cd0eaa1c2e29fb8fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 14:06:59 2023 -0400

    dnf search --cacheonly to avoid extraneous network connection

commit bf0113c52ad2eb170c0f9ba54550ea53dda1c37d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 13:58:26 2023 -0400

    cleanup

commit cac977966d190399b60b9cb39325c144a53e82e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 13:29:55 2023 -0400

    add workaround to accept key into dnf database

commit bfca9252ed117bbb9d71372bf134be016eacb3ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 13:02:40 2023 -0400

    fix Fedora Oracle repository file creation

commit 6836d84102b5d723a6e07c922c8d17a22c9f10b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 13:01:45 2023 -0400

    fix Fedora Oracle repository file creation

commit c610f2475b4e11edf33cfcd1d4ee0c8ea698984c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:58:46 2023 -0400

    shellcheck

commit 72eecb7feaef6d0da1408615ab613ef235451fd8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:57:45 2023 -0400

    https

commit 306043c3a2d7c4e73b7899a031a2d42a2d0d9961
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:54:34 2023 -0400

    output

commit d1dcba497c6e70f81f7450b1ffbd1158b729eedf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:52:25 2023 -0400

    fix Fedora Oracle repository file creation

commit a6f682ffa0ad1f5199077cc017be4b1dc92eae91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:29:47 2023 -0400

    virtualbox-installer -> virtualbox-installer-cli

commit 01f0f755d42e5c93bfcccc710f0167b2da4aee64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:22:28 2023 -0400

    CI fix

commit 540647f1c546c42aaef7e5f909fd465db3812029
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:20:19 2023 -0400

    comment

commit 9888f835e3da76028ff0477cf92e0b339a332279
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:13:08 2023 -0400

    output

commit 8c5ffc6ccfcb39a5a4380045aea9e4436f714fdf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:10:55 2023 -0400

    CI fix

commit 996cf092f33e709184194e554506718226632800
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:06:51 2023 -0400

    debugging

commit 775fa93db2222255d296f21ed8a2c660262c54eb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 12:01:22 2023 -0400

    debugging

commit e631d76808bab2a1e05a7bbc6b0d9c186d353a4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 11:56:48 2023 -0400

    debugging

commit e79d953e36cc3035dc275f53fe1d2765737f4f9d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 11:54:44 2023 -0400

    search for errors in package manager update output

commit a5b2d58aba7428c166967c666952c4519e3e1e76
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 10:21:48 2023 -0400

    enable pipefail for bash

commit 96d5eb486da5fa610f5575c2401681cc5b520ae5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 07:01:14 2023 -0400

    comment

commit 43324d3f72be1e111ff907e10ab823b98eebae0e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 07:00:42 2023 -0400

    improve Fedora repository availability check

commit df22562fd26a1ca294c5f17d9a0de786a250f47e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:57:03 2023 -0400

    newlines

commit cddff25a5720967285ab01057790008e688904ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:53:15 2023 -0400

    start VirtualBox GUI into the background using `virtualbox & disown`

commit 3906e471bcefe5ecaba59532e145f91a28ca02fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:51:41 2023 -0400

    refactoring

commit 4ef393dbf048dffeac519df6c83a9b734356d55d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:49:29 2023 -0400

    consistency, `exit 0` instead of `exit`

commit 2975222bc6a9fd6b1d84661e4d549e8b321f6ad8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:44:27 2023 -0400

    improve Fedora repository availability check

commit e8b6c8eb1bab2a22296da867ed8ae9b0914b04b6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:28:20 2023 -0400

    improve VirtualBox version check

commit b1532ba078b5690577e0dbbd85e8956c73398cee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:26:56 2023 -0400

    improve VirtualBox version check

commit 8df7c4d6ba4f64c6facdee050ca9163d3f8938bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:23:38 2023 -0400

    fix unbound variable

commit 97fe2ed9005b4ea041fa23e00e2564cf649df684
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:19:21 2023 -0400

    debugging

commit c244c9a4f83e76e6cf79376b98cda2d88bd84ff5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:17:17 2023 -0400

    debugging

commit d490a85e8dd46c78b09c87f426d4909a4b8772ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 06:08:19 2023 -0400

    debugging

commit 5203135804710fdd588c5c76d2e827abddd768fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:55:01 2023 -0400

    fix when to run update_sources

commit 194a1290f7c9eef52cf74c9bfe489f4008783280
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:52:47 2023 -0400

    newline

commit f7750dc5cf18e95023aa706035413a3a2e00b98c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:49:38 2023 -0400

    improve VirtualBox version check

commit d7611c062c2f2d6bb46e8010cc2f654833b52856
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:46:48 2023 -0400

    avoid running update_sources multiple times for faster execution

commit eb00cc78a517a6f2b9acb79bc7b14dc8491ad3cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:37:04 2023 -0400

    fix VirtualBox version detection

commit df16bc6d2451436d6b3dd93d5ba069e1cd812437
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:34:30 2023 -0400

    installing the `adduser` package for Debian trixie now required on CI

commit dd24bbd17cb40b231eb10b2c565bda80a9fb3739
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 05:25:32 2023 -0400

    fix VirtualBox version detection

commit 96ab87711ea94a9b868418f832229adbe0849113
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:59:03 2023 -0400

    fix VirtualBox version detection

commit c69ac0c6ea19b77f7152eea4346b00b9a3623f26
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:47:28 2023 -0400

    fix

commit 1b36135c8dc081f2ded7c5b688a506e16e4f04b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:42:31 2023 -0400

    debugging

commit 8ab1a0d795505df0ef206af7883430ad2aa43593
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:40:11 2023 -0400

    fix

commit 61ac1630e5ecdee5790fdc19b9301ce1d8eca94c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:39:26 2023 -0400

    debugging

commit eb643a0df133e6c84a45eb696638d97fd9607058
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:34:53 2023 -0400

    fix Debian VirtualBox package name detection

commit ed1fb4b00ebe6a2d13d72ddcb97ca9bd2dd9f97d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:27:16 2023 -0400

    fix

commit ea591b2e064ca128c7c095f90d84e5eb1997074a
Merge: ac05a74 1e04756
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 18 04:03:45 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit 1e04756ef4bfcb1dc740d564275c61c01f24d6c9
Author: grass <grass@danwin1210.de>
Date:   Fri Aug 18 01:46:00 2023 +0000

    Start VirtualBox together with VMs

commit 06c88e4272c0b9b121f9252f775c43f7f3e2cb15
Author: grass <grass@danwin1210.de>
Date:   Fri Aug 18 01:04:11 2023 +0000

    Update compiled manpages

commit 1ac9050aff180b18ea12ac1e1250f2c0b2696f3a
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 17 21:53:42 2023 +0000

    Rename installer

commit 7ff84e8762fd502b6308f8abb19c3e7bbea754c3
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 17 15:28:44 2023 +0000

    Allow Kali Linux
    https://forums.whonix.org/t/whonix-linux-installer-development-discussion/15917/100

commit ac05a74572ad9aea5653a7138f91dbf34699bd57
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 17 10:29:48 2023 -0400

    man page

commit 7c8da0dd474be9e9ea3af2836fc4d160737d691c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 17 09:38:21 2023 -0400

    man page

commit 7acc45ecf987bb6403efa9e651a7756c77fd9bbf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 17 09:07:37 2023 -0400

    output

commit e5102a3cc1d0e53543707e7415ee5f7aa28ae23b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 17 08:58:50 2023 -0400

    minor

commit bb1b2117c54e7c6725b953d900df0af98929bbe3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 16:46:44 2023 -0400

    bumped changelog version

commit 65522938b061489576125b7af3c04adda055fd37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 15:50:03 2023 -0400

    installing weak dependency packages `gcc` and `udev` when using `virtualbox.org` (Oracle) repository

commit b6743d599230ae2cdacc4712cd7804ecf4aebea7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 15:11:27 2023 -0400

    bumped changelog version

commit fae2bbb77685c85611146b834966c4c462af04c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:57:24 2023 -0400

    CI

commit 7634be77e875a65495e562bd3b8a1424b9b42274
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:50:01 2023 -0400

    output

commit d9fe607bc3c6ff6cf3ca7d0bcd485bfc94ea6597
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:47:50 2023 -0400

    newline

commit b7dd1ac841c776f532539b63b58d08494d64a6e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:44:18 2023 -0400

    comments

commit a36dd5a99dc36db9b18d9c2df403aa499852cad2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:38:49 2023 -0400

    check if VirtualBox package is installed rather than virtualbox program

commit 1c206113d07b8c38234a39a1d6c58cc0a6814afc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:36:52 2023 -0400

    cleanup

commit fd6f4b352939a47f40470e548c495a09c35a8447
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:35:59 2023 -0400

    refactoring

commit a6ecf952808d73ba11c1ac71ac8265e82476355d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:32:31 2023 -0400

    cleanup

commit 031ede52f44bf4528d17dc206d38df3be73407f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:29:08 2023 -0400

    ident style

commit e176e4faef2fc3814698b210416b92236f87a3c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:28:17 2023 -0400

    output

commit 6d480743edace1a0a6270e5cab10be1f4342ce7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:25:19 2023 -0400

    code simplification

commit 564015b790b0635251a0a9a0107fdac19ab8ac79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 14:07:11 2023 -0400

    shower success confirmation if VirtualBox installer succeeded

commit 310c04faf8177fccb9d06d3a3506812a7c35d927
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:56:59 2023 -0400

    run the usual tests also for VirtualBox Installer

commit 74be46bf15a93783db5d6cc7aa346b186ab7c7a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:45:45 2023 -0400

    check disk space also for VirtualBox Installer

commit 262d332add8c9d1cdf687c0072c8398d3075ca68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:32:20 2023 -0400

    Debian testing fix

commit 371c6c502530e0caa5b36be3ec28fafd1717cf0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:29:01 2023 -0400

    defensively initialize `url_version_domain` variable

commit 1920fc072913ac6d141228ce4c66b9a165409850
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:17:32 2023 -0400

    test Oracle repository on CI

commit 29d33886e69dfd978ba8eb03db1742e907631b78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:16:09 2023 -0400

    Test VirtualBox Installer on CI

commit 9829df290ad0f39c4d1797e1d82caa3bd0cd34d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:10:10 2023 -0400

    use long option names

commit 45a8f99eb28d50cf49dc12902de24664dff42a36
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:04:59 2023 -0400

    cleanup

commit 5c77d036ce501fb706907e20eb9db17715e42179
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 15 13:00:17 2023 -0400

    info level output if SecureBoot is enabled or disabled

commit da28756202c5377f0b7dd582009ae0152d3eeb8d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 12 11:15:13 2023 -0400

    bumped changelog version

commit 8c78d9c8812cb767bce9c640f5da1697aa9c10a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 12 11:15:12 2023 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit c18d517cd85604ff21e95314f8915a4fd3b24f93
Merge: ccad34a e6c1684
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 12 11:09:59 2023 -0400

    Merge remote-tracking branch 'nyxnor/master'

commit e6c1684a2e47350145ac4972c1896bd6bba70cd0
Merge: 22e647a 30e0d9b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 15:01:59 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 30e0d9b583d2e71315d2a751f68b5faecffee764
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 15:01:45 2023 +0000

    Fix usermod args

commit 22e647a01156f1c82c9402e536a97a71dffa0185
Merge: caaa545 7b066b1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:58:28 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 7b066b13a4223af20daedff953b9d2d2ef2ac9fa
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:58:14 2023 +0000

    Fix typo

commit caaa545b48cdffa02dde4fc809f7d216e548fcdb
Merge: 778e0b3 6dab620
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:53:57 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 6dab6209e5e84d8878c8d1ed92be91b5b127ec45
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:53:41 2023 +0000

    Change adduser to usermod

commit 778e0b3dc0436f643df7091ec70776ee21d033bc
Merge: 0cd3636 39598e7
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:41:07 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 39598e7aa6b6ef50ed1a8bbd7221863c8bcda78b
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:40:56 2023 +0000

    CI: Fedora doesn't have 'su' in CI

commit 0cd36362657b86e1e42d8524c5df3566174c7538
Merge: 48d0aaf 41f35ba
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:36:34 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 41f35bac61dfc66ef41b39c35d0e641d777aed1e
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:36:19 2023 +0000

    CI: fix wheel group

commit 48d0aafd85032d9998afe2523ca15697c75b47b0
Merge: 600d306 51311a5
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:33:43 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 51311a57adf4d263f14f7c852f8f22685cbe4bba
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:33:28 2023 +0000

    CI: closing if statement

commit 600d306ce335f16b8fae3289772630baddd117f5
Merge: ed24121 0eda64b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:30:33 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 0eda64bed71a32df73937a2916ca087cb80a681f
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:30:22 2023 +0000

    CI: Fedora uses the wheel group

commit ed24121690e0b859e41c3fa62bc2c051aa0e5177
Merge: 400e705 6808ee6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:23:29 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 6808ee6de8b65edc247de85f46e5eba4acf18d97
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:23:15 2023 +0000

    CI: Fedora doesn't have all adduser options

commit 400e705f1ee1d42f7c071eec6f7048025e40cdba
Merge: 766b63d 73c536b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:12:28 2023 +0000

    Merge branch 'master' of https://bitbucket.org/uncut-grass/usability-misc

commit 73c536b020df25b063d51ef5cd3cbb65942eff4e
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 14:12:14 2023 +0000

    Fix ci for fedora not being noninteractive

commit 766b63d87cb4a912150a860b191d3f74533b09bd
Merge: dc4f907 49b6395
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 14:00:03 2023 +0000

    merge

commit 49b6395f6ad4c8b05ba7dbba7f59e371df778621
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 13:58:50 2023 +0000

    Support Fedora in CI

commit dc4f907e23f3aafafb64ed429d821c84cf586e47
Merge: 35f6e2f d2cad5d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 13:50:57 2023 +0000

    Merge remote-tracking branch 'bitbucket/master'

commit d2cad5d0793ed7f755845e48b96229d6f4931f21
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 13:50:25 2023 +0000

    Fix old variable name

commit 35f6e2f028789b0dec145ee59d82892285c6a06e
Merge: 5a3ab85 83c1ae1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 13:47:10 2023 +0000

    merge

commit 83c1ae14f596015ea42f89a9f2bd99eb0ef74147
Merge: 1a76b8c ccad34a
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 13:40:47 2023 +0000

    Fix merge conflict

commit 5a3ab85067dea7a725cf5e629add84f036e25237
Merge: ccad34a 1a76b8c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Aug 10 13:36:31 2023 +0000

    merge

commit 1a76b8c17fbfe41e290b55dc150dba8de9932964
Author: grass <grass@danwin1210.de>
Date:   Thu Aug 10 13:14:40 2023 +0000

    Add Oracle repo and Fedora support

commit ccad34acd2c27117320fafe57a6394ba443a8bbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 08:41:25 2023 -0400

    bumped changelog version

commit 267522c2031caaa214feee089d38c2d0564bbf12
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 08:20:15 2023 -0400

    CI

commit f94cd73f845ab1ffe5d06ba3bb9c11dd0fd353e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 08:14:57 2023 -0400

    fix

commit f0f1dcc4e7432c2b01258e0dd4d46c73996a41d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 08:08:38 2023 -0400

    bumped changelog version

commit 545de28f8e8394a9d7f47431fa2f211ba5718023
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 06:28:21 2023 -0400

    trixie

commit ee9faa8e992e21d8789fde21f298ad7c908b936d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 06:24:41 2023 -0400

    refactoring

commit 6e0668fdd474a3f8da51dec8b5e47db2a483f679
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 06:12:38 2023 -0400

    add Debian trixie (testing) support

commit f7ea11a09d40effe62d3812f31a4383699a7dda8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 06:10:05 2023 -0400

    output

commit 769a609761d3ab91ddd2c7589145083dfff03ff5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 06:05:06 2023 -0400

    add Debian testing detection

commit f3a9abef9140ee67f30e048f0e2089a67dc38749
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 05:53:36 2023 -0400

    debugging

commit af2459093f0eb5dc8ffb2e0f8717add4127a1b75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 05:48:48 2023 -0400

    testing

commit af4c83a7cfd83e20dea494625aee06a968900cf0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 05:31:32 2023 -0400

    improve unsupported distribution check output

commit 21fbaece4dcfea1543d7e4f976820783878c8fc0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 05:28:07 2023 -0400

    output

commit 38cbbca7701641812143fd1d494b7256f25b6560
Merge: 6e56f35 1bb27a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 29 05:23:59 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit 1bb27a1d26dfca0fd23b749199c8bc25fd1740a3
Author: grass <grass@danwin1210.de>
Date:   Thu Jul 27 18:42:50 2023 +0000

    Add missing shasum options

commit 9f7e71dd0452868a83c58779aa8b0401e772ee43
Author: grass <grass@danwin1210.de>
Date:   Thu Jul 27 18:39:18 2023 +0000

    Add signature unit test

commit df544e192703be464a42a2e5d7431b296d6bfd24
Merge: 388dd14 6e56f35
Author: grass <grass@danwin1210.de>
Date:   Thu Jul 27 18:07:05 2023 +0000

    Merge remote-tracking branch 'kicksecure/master'
    
    * kicksecure/master:
      comment
      comment
      comment
      support only sha512sum tool for verification
      refactoring

commit 388dd14db9d580682d52121c864fb7fcd013a9b6
Author: grass <grass@danwin1210.de>
Date:   Thu Jul 27 18:06:36 2023 +0000

    Improve error message for unknown systems

commit 6e56f350e3a4189e0449db484fa678d6b60ca47f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 26 07:12:23 2023 -0400

    comment

commit 67563bb258527834577624feb5680dd7d2db98e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 26 07:10:54 2023 -0400

    comment

commit 8ad3a05c4c2333179cc00b3ce5e0f92a18484120
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 26 07:04:59 2023 -0400

    comment

commit e311cd541dac481046919ac3cf9622ef26b37f5e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 26 07:03:05 2023 -0400

    support only sha512sum tool for verification

commit b0b283202531b03088b3df8be4fbd03709daf653
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 26 07:01:18 2023 -0400

    refactoring

commit 1e2465def61b950d2445daaa34ecdbf16703a53d
Merge: 125e52d 2eb27a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 26 06:43:08 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit 2eb27a7defaac25901db9c9e23390f34c8c1b293
Author: grass <grass@danwin1210.de>
Date:   Tue Jul 25 21:32:55 2023 +0000

    Add unit test to checksum verification

commit 39a732743ae04d347e5f3ba63116c0f17e76698f
Author: grass <grass@danwin1210.de>
Date:   Tue Jul 25 21:21:14 2023 +0000

    Descomplicate verification

commit 11ffe936cbcc34396fcf59f6f56688ee85b9afb4
Merge: e5172d8 125e52d
Author: grass <grass@danwin1210.de>
Date:   Tue Jul 25 20:39:28 2023 +0000

    Merge remote-tracking branch 'kicksecure/master'
    
    * kicksecure/master:
      bumped changelog version
      fix integrity checks
      bumped changelog version
      re-generate man pages (generated using "genmkfile manpages")

commit 125e52d8b6344c5bb57e03b759ad24f6d1d77b3e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 25 15:17:05 2023 -0400

    bumped changelog version

commit 03cc6a6c90be6ef1080037d2f35a3c3aa8e9a3a7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 25 15:11:06 2023 -0400

    fix integrity checks

commit af2fc8d682ace541bb783584c4ffbcda6f787f2f
Merge: 9876475 da45f02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jul 25 14:47:52 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit e5172d87ed8cd2d0e34041436cd00eff270567a6
Author: grass <grass@danwin1210.de>
Date:   Tue Jul 25 14:13:06 2023 +0000

    Revert "Better log_run output catch"
    
    This reverts commit d31afaf2eb8a12915a9e5e0eda29724fdf5788a1.

commit d31afaf2eb8a12915a9e5e0eda29724fdf5788a1
Author: grass <grass@danwin1210.de>
Date:   Tue Jul 25 13:48:02 2023 +0000

    Better log_run output catch

commit da45f02da2147e9bb430953da6e6e8a6b731f053
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 24 21:46:31 2023 +0000

    Improve verification steps logging

commit 9876475bcffc370a1bb9bdeeb61845d7b74bd911
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 17:09:37 2023 -0400

    bumped changelog version

commit 781214e30b23ff91e03c2b700fa024f76eae043a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 17:09:37 2023 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit cee7211d5cbb2bdca14fafac1ece480606c8031a
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 24 21:06:23 2023 +0000

    Downgrade verification loglevels to notice

commit 5820d5702e003041b87ac82ed6536686c094625d
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 24 21:01:40 2023 +0000

    Remove redundant fail from error logs

commit b9afa1ea65c9ad49b993f501e17db1bb1e32b466
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 16:27:50 2023 -0400

    output

commit 682e17567f64023a769ad8a87f3d3399c75df3c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 16:25:51 2023 -0400

    output

commit c9c07a7ed0fa48598a55ac529e54965a5ebe830e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 16:20:25 2023 -0400

    output

commit 743fbeaf9995f76089eebf0d474840734feddd02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 16:16:10 2023 -0400

    output

commit 8daa6b96715eb987477c98126fe22c499c94325c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 16:12:32 2023 -0400

    output

commit 4704eda6b3ad85352556d09ce8d8484c16821c06
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 16:02:37 2023 -0400

    output

commit 54be2c480665cdf0c872868608fe40c8c2d771e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 15:50:41 2023 -0400

    output

commit b7c8aa4fbb5c746d31f198a1fd45ea0b7c7d4695
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 15:49:53 2023 -0400

    output

commit b4b9a9f265aa3de3f009a9c4290069949675aac4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 15:42:12 2023 -0400

    output

commit 12fbf2262689a6cba990d9d7bc85afd683a19803
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 15:41:09 2023 -0400

    output

commit bb59252eb5d561180628c3d702b239a7ab2c46ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 15:34:02 2023 -0400

    output

commit bb32847c7da64999bd8a69db2fe806a8da99b39d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 15:25:10 2023 -0400

    output

commit 997442683d62cdce2302643e5a98f9c276b42873
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 14:52:14 2023 -0400

    output

commit 85af7c3552b60bc6cb79fbc0e36d3d0b4dc72ce8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 14:50:23 2023 -0400

    output

commit 030acc73e2aa14bb289595605b51234e284065a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 14:50:03 2023 -0400

    output

commit ab0c5def25737b0690e7a56f5b9c3bba0303d53a
Merge: f40d0ab b10e322
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 24 14:33:06 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit b10e322c4e4908168da4c7d264f4917f26efaaaf
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 24 14:36:25 2023 +0000

    Add missing options to manual page

commit 0e6718cddf8f5911a22dc51400ca99cf7fb5aacd
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 24 14:26:27 2023 +0000

    Fix apt line wrapping if output is not a tty
    With Bash, we can leave stdout to the tty.

commit 1c5ff086197fbf2bb6ba1def710f735156bbedaf
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 24 12:08:03 2023 +0000

    Improve log formatting of test cases

commit f40d0ab59a575b37eaccf4733fd1250758048eac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 23 09:23:22 2023 -0400

    update hardcoded testing-only simulated version number
    
    of empty hard drive test-only release
    
    because of XFCE -> Xfce change

commit 0e9855ea58cff68a8e5328f6f2388c5fd05e1a67
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 23 09:10:30 2023 -0400

    remove legacy XFCE -> Xfce support code

commit a00f8e57813f365ff3110201e585f080f593605c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 23 09:08:09 2023 -0400

    spelling

commit 7997468b286555dbfa2fb3975566895849f64a3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 23 08:03:37 2023 -0400

    typos

commit e5faabb8049bb63a29eb5cdef3717e352a30d544
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:51:41 2023 -0400

    bumped changelog version

commit ee9d68ff05ba854c549886e76e6252c49f3da534
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:20:19 2023 -0400

    Kicksecure

commit 6e23b629483124eca71954243cf58c41c055dac6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 17 11:13:07 2023 -0400

    Kicksecure

commit 4c9ba9f58594160b0ddebae26523fe182534c962
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 7 17:12:42 2023 -0400

    bumped changelog version

commit 043c8e8f5a04e752ad02c9052a9e7b44ed73d3c7
Merge: ba45e78 bcd691e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 7 17:12:28 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit ba45e78824cea9106d5f4412a57c5787d3d9fc0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 7 17:08:38 2023 -0400

    fix

commit 2dbc8379cd4aa3bb01ae3a9142a6a48cdffab1f8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 7 16:55:38 2023 -0400

    bumped changelog version

commit 172f89e82954a91885d7d6c26d126f2290c62221
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jul 5 17:01:59 2023 -0400

    comment

commit bcd691e03cd0814abf754f433d49f4a57f646207
Merge: 55b67a1 0e1aaa2
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 3 15:20:56 2023 +0000

    Merge remote-tracking branch 'kicksecure/master'
    
    * kicksecure/master:
      bumped changelog version
      fix
      fix
      improve curl-download and redirect scurl-download to it
      better to quote every arg
      quote args with spaces, that if passed as singl arg, they were unquoted by the shell
      improve scurl-download to behave like wget

commit 55b67a12b65ff8906558499dbb85a176d748c5af
Author: grass <grass@danwin1210.de>
Date:   Mon Jul 3 14:48:49 2023 +0000

    Unify repository installation

commit 0e1aaa2e3706894d6592b3fd545f9935dd32fd1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 08:41:27 2023 -0400

    bumped changelog version

commit 05ca4f608e3a790c3bb1801de8749723f4163bf1
Merge: d935fea 7a6bc0c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 08:18:19 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit d935fead4d510ad317f99a9f5ad30d2d571ca782
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 06:54:31 2023 -0400

    fix

commit fda1ed5b9980037b7e333aaee70011cac094ce9b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 06:53:28 2023 -0400

    fix

commit d90087e42318b700f187425192601cc060a70864
Merge: 672e35c ae85a42
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 06:52:03 2023 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit ae85a42e3e7d7d2e8a600f6f630d1c18fea279a4
Merge: 672e35c 2bebb8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 06:51:24 2023 -0400

    Merge pull request #9 from nyxnor/scurl-improvements
    
    improve scurl-download to behave like wget

commit 2bebb8ca59a04029f6364d26d29a6dbb06a0945e
Merge: e0f1e3a 672e35c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 29 06:51:13 2023 -0400

    Merge branch 'master' into scurl-improvements

commit 7a6bc0c6f955bde41aa13dedc6b126ddad8b75ea
Author: grass <grass@danwin1210.de>
Date:   Wed Jun 28 17:04:17 2023 +0000

    Disable SC2317 globally

commit 69bb117ef5d602019e9ac74d0d19398a970c792f
Author: grass <grass@danwin1210.de>
Date:   Wed Jun 28 17:03:40 2023 +0000

    Change running vm detection method

commit d0c09acb01b943697f947e6b5c38326d84d104c8
Author: grass <grass@danwin1210.de>
Date:   Fri Jun 23 17:42:47 2023 +0000

    Fail if trying to import a VM that is running

commit 672e35cdaf584152cfddf05f3e1090db5a63255f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:51:21 2023 +0000

    bumped changelog version

commit 0ea89dc53ef230913ddce82fca403181fcbeb250
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:37:04 2023 +0000

    install Kicksecure signing key

commit 8714671259511d1475db5434b3ce003017db1ca8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:30:21 2023 +0000

    implement adding Kicksecure repository

commit f7cc8da0c26d4fda5bdc2645b1d75454d76929a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:22:34 2023 +0000

    refactoring

commit 56baf4acf3069f35795efee704ec347b7605ff2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:17:49 2023 +0000

    refactoring

commit d50248bac78b134e62eef2d3107eb95a5eef9bb5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:15:52 2023 +0000

    refactoring

commit 0e124337e1a6571b9ed8bf89f0c72bb20d9514ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:14:40 2023 +0000

    towards bookworm support

commit 1bab2bdfee21bd0a9abce92a4fbbd3573d2b1218
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:06:53 2023 +0000

    fix, do not hardcode distribution codename

commit 6937c6b2144b8e2585d39800cb0f6455aef51b5c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:06:16 2023 +0000

    typo

commit 56c266f15c0d5c75adcf1d5255b58c3a62ea2364
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:05:54 2023 +0000

    minor

commit 4676cd1a49a9e1005acb4843ccb2fff88205e962
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 12:05:31 2023 +0000

    distro_codename

commit 312c08929662ac32f965c4fee225772b2f6c04cd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 11:58:39 2023 +0000

    oldstable

commit 92659dcbc137a8f2030fe15b7b36d7fdcfbd6473
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 11:47:33 2023 +0000

    fix, do not run Nested Virtualization Test when dry run

commit b1e5fd8484bd6053124bd79da606356866257dad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 11:43:44 2023 +0000

    output

commit 97ea12a10e1d132fc28f95f369d4a67597006789
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 11:40:58 2023 +0000

    handle XFCE -> Xfce renaming for Whonix 17

commit 3c13d0b03f2442d2078cf19ada4b044877ca8961
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 10:52:03 2023 +0000

    refactoring

commit 97462a6345b39d197131d8edda34209b19fdf927
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 23 08:18:43 2023 +0000

    bumped changelog version

commit 228673709dd1c8a0e04b8d0c531e30fb4ef4e10d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 22 16:16:42 2023 +0000

    XFCE -> Xfce

commit 68e9a58508c2459eb1849f5921d53fa023ce5bfd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:40:36 2023 +0000

    bumped changelog version

commit bc656d19e2c14bc8115c8427d44e2e7ebb8b61b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:33 2023 +0000

    bookworm

commit 8f6823badca0f45fc4f5d5f4c36204f5d240ab3d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:11:15 2023 +0000

    bumped changelog version

commit 3bbf1ffb2d7ed42420ae47a6868999e638d6ccad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:07 2023 +0000

    readme

commit 2ceedfbb7a9d79f8df4f5213e21770387257e733
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:07:00 2023 +0000

    bumped changelog version

commit e2af77d1929d378cb1a04d31c3f749107d67f8de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:48 2023 +0000

    copyright

commit 6b9fb091acf2191cdde8089a13a285d7f8ddefcf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:02:43 2023 +0000

    bumped changelog version

commit e5c7c39be13683b72f68f0aa2cd9b4dfdfdfe53b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 13 15:54:43 2023 +0000

    bookworm

commit be56e9e514614b28ab5e799f6423cdf09c119587
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 13 08:56:22 2023 +0000

    remove usr/share/usability-misc/tbb-foxyproxy/foxyproxy.xml
    
    https://forums.whonix.org/t/new-version-of-tbb-no-longer-accepts-foxyproxy-plugin/2565/57

commit 3658edbd0283a4707a2e74a03a3c102cc020e69d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:10:28 2023 +0000

    bumped changelog version

commit 47beff2e7357475260d594c0887f49cd921b5d5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:34 2023 +0000

    Standards-Version: 4.6.1.0

commit a7613807b39f7bfa3a2e154c7216c9f67caa2259
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:35:43 2023 +0000

    bumped changelog version

commit 0484450d40bd5ced6deaeea6be4c1d8f8547c88b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:03 2023 +0000

    update copyright year

commit 3b4876267eec68819d5ae228a4970c345c87a6c4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:29:16 2023 +0000

    bookworm

commit 7a6f3c73203c7aa6a9bf56fed2b94096c0ff5bb6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 8 21:32:16 2023 +0000

    bumped changelog version

commit 04b8fa376e16d647328104fc3279e4439026625d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 8 21:31:50 2023 +0000

    output

commit 04bd76bd307b8da49ac8d8890a99e3106ae4670b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 8 21:29:29 2023 +0000

    symlink /usr/bin/virtualbox-installer

commit a832528833f4b3a80706d894f07ebb226a000e20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 7 11:20:11 2023 +0000

    bumped changelog version

commit a47e00600ebf702ea5d168bb41454a192b7418ab
Merge: b31eee7 c0d3954
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 6 17:28:23 2023 +0000

    Merge remote-tracking branch 'grass/master'

commit c0d3954968d3daea356d7b924cdb8466c842377f
Author: grass <grass@danwin1210.de>
Date:   Tue Jun 6 17:25:27 2023 +0000

    Fix test statement not handling errors
    Reminder to use if statements because they don't have this problem.

commit b31eee7bd73a0e42e5d7cb166fe7615809b2e20f
Merge: d7ab9d4 b047523
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 6 16:57:59 2023 +0000

    Merge remote-tracking branch 'grass/master'

commit b047523ce38b02f4c670c974b67bc7507e4d113c
Author: grass <grass@danwin1210.de>
Date:   Tue Jun 6 16:42:02 2023 +0000

    Add standalone VirtualBox installer

commit d7ab9d43cf36a45d67d4f04cfb1bee5a98313d42
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:59:43 2023 +0000

    bumped changelog version

commit d611d89522fd875a370ba98459e98aaa3dea7ea7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:59:31 2023 +0000

    refactoring

commit 767fc25d3c65f5adeb61efd2e276a0be04581a4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:52:18 2023 +0000

    comment

commit d07bd62c74cedd8c798e301a2a93764373ad2079
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:37:01 2023 +0000

    bumped changelog version

commit 414fc87837f7ad95e5d5729bbc26cb203cf43588
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:36:20 2023 +0000

    refactoring

commit f20720e12eabacb315a8b562ffa458aa2cda98b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:33:06 2023 +0000

    improve error handling

commit 585911e0c940ba8c8990e5fc4f6d37b7a8c2303d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:32:06 2023 +0000

    refactoring

commit 51474a27781820e3adedb8e3f4de3e2c32fe886f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:06:45 2023 +0000

    bumped changelog version

commit 1e9b492ec78eb6610c4f98f3c33d5d95284f1a05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:06:23 2023 +0000

    refactoring

commit fe6b11c79264edb2838f1776ee503da120aeb500
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 30 08:02:46 2023 +0000

    debugging

commit 92389c9bc6dba45bab2226bd3f0bf6026b34424d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:27:58 2023 +0000

    bumped changelog version

commit 7fe57e16c14498c2a3da1f77078e35d4d3cd3379
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:27:49 2023 +0000

    output

commit acc54571ecc6fedd7c9efd62658e0c6ab42d1348
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:26:09 2023 +0000

    bumped changelog version

commit 019f7115ef45e6a53c921210dd1b740a2be619a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:21:13 2023 +0000

    output

commit 596b01e5d3b969a48e4e7579c63cb938804c4536
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:20:32 2023 +0000

    refactoring

commit d4ae008a98988f51bad26b632c09eaeec3a48fd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:18:51 2023 +0000

    add QubesOS detection test

commit 82bd4ae7681ab5462601c4cf04ddc4cbb2a51353
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:08:36 2023 +0000

    output

commit d324f426382ac3f57c4c0b24fe2f62cb7f69fc19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:08:13 2023 +0000

    output

commit 744ed506ddf4e7e8b42d2875ed8f62c1419c168c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:00:17 2023 +0000

    output

commit abcf085ac9d7e7a80cac7a78fdbcd0fb930a22d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 13:00:00 2023 +0000

    output

commit 5269d2752b24ea346fbf8e7b68210d7a70e41c8d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:57:53 2023 +0000

    output

commit c684a7d3c6e6ba4fee6b17d64852546755dd39a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:54:11 2023 +0000

    output

commit 4b7c4b88acbbd26566d1a7b7bca16d678b59f8a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:53:25 2023 +0000

    output

commit bd8df4c336bc8052dfd0fd193214d202bbd839b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:50:53 2023 +0000

    output

commit d2a4687b4f1edc9484a6c621add4df4d72b55958
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:39:24 2023 +0000

    refactoring

commit 66db59336ba4502cd79f89b237fd26d4b994be98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:37:32 2023 +0000

    avoid re-adding user to vboxusers group
    
    if already done
    
    to avoid writing to /etc/passwd
    
    to avoid a sudo command

commit 7a3e29ccdcdb8f8a1f90f7651f0383f17db7c98b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:31:00 2023 +0000

    improve hypervisor_pretty

commit f30383f782bf5d67b577a8312cf97dd4fcfd349f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:17:07 2023 +0000

    bumped changelog version

commit ce7cd84672f53c4d2a8184270711f722a7cce4ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 13 12:16:18 2023 +0000

    output

commit cfb8c089ed4270757c90eeea93468d85fda9be95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 01:19:31 2023 +0000

    bumped changelog version

commit d6de1d8f5850cd7959a0087970056bc317500d61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 01:12:32 2023 +0000

    output

commit d9d6ee78669dfd4916a03a41567c89e4278a099e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 01:05:59 2023 +0000

    refactoring

commit 7cb0dfec5c758e531611e926993aecebe3a1820a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 01:03:25 2023 +0000

    output

commit b0e667f3c46a9817c4c5e2e26d5991a55765159f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 01:02:29 2023 +0000

    output

commit 619986f100853d6ebe18f113fda7743a15911a8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 00:59:13 2023 +0000

    output

commit d512d94ba5da95c307ec9403d44ed2a38712dd85
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 00:52:58 2023 +0000

    improve output regarding which programs/packages are already installed (info level only)

commit 52851fdc25156d45ee34331ec51c5ce2a03c8f62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 00:37:45 2023 +0000

    simply installation of virtualbox-qt

commit b54de474d9afd477b3033232bb68e918d0756a91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 00:34:31 2023 +0000

    output

commit 1866a6fe63e0cc582a48380986615f64766f182c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu May 11 00:12:30 2023 +0000

    improve --dry-run and install_virtualbox_debian

commit 821fab3e6f62680cc858f755c8c093ae1b1bd7a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:57:26 2023 +0000

    refactoring

commit 4d0066f7af3ccea23e55831d49c8bad998f79ace
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:53:52 2023 +0000

    minor

commit 4a5c4bd08d7bebf150ef6a2b9aaf983221421930
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:52:20 2023 +0000

    output

commit 3841315965aacb5fb1c55575d975763b7d19a773
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:51:04 2023 +0000

    set loglevel to notice (default) for manual user input version

commit 9693a86231fef18f8d7f5543b196f60a8df6a341
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:48:54 2023 +0000

    improve --dev

commit 2ec24ca1f039367a43a8048ba60e83d842ca483c
Merge: b744d29 16377fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:45:52 2023 +0000

    Merge remote-tracking branch 'grass/master'

commit b744d2904c9f224ed123e566df2acc628b7942b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:44:56 2023 +0000

    improve --dry-run

commit 8152ce08b8a92783bb97854effc0551c3046b60b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:34:45 2023 +0000

    output

commit 16377fdea1eaf44c7c9da41a33fd128ccd7d86ec
Merge: d7673b5 65c03f1
Author: grass <grass@danwin1210.de>
Date:   Wed May 10 23:34:42 2023 +0000

    Merge remote-tracking branch 'kicksecure/master'
    
    * kicksecure/master:
      bumped changelog version
      output
      output
      improve sudo test
      fix CI test
      initialize guest_pretty variable
      typo
      improved startup result output
      fix for compatibility with new remote version API
      bumped changelog version

commit d7673b5754fd9ba0d060e9244755bdf6fc6cda64
Author: grass <grass@danwin1210.de>
Date:   Wed May 10 23:34:18 2023 +0000

    Fix redownload also reimporting

commit 593aae82a352d4fceb36cdffcdfc491cfe5d9867
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:33:08 2023 +0000

    improve check_integrity during --dry-run

commit 8f2bb2ae3037eeabd7d82f4c6a1da35bfaa792c6
Author: grass <grass@danwin1210.de>
Date:   Wed May 10 23:27:28 2023 +0000

    Fix skipping redownload

commit 65c03f1f366f8f9a35076590220a77b3e2abbc20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:16:32 2023 +0000

    bumped changelog version

commit 02c19e090fbcc93d01d9b3c44720bba9c6bc2dae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:16:00 2023 +0000

    output

commit dcff25991e4a1ea32caa9abb63bb748f1f68ac75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:13:03 2023 +0000

    output

commit 2c4bc0be93e26c044d00fcef7707525b497ad9e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:12:29 2023 +0000

    improve sudo test

commit ac56c8030cad0a95ab795d5300613912605ccc31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:09:26 2023 +0000

    fix CI test

commit 774892bf021ce2da14bfa39c4bd1bd69241f4be0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 23:04:34 2023 +0000

    initialize guest_pretty variable
    
    otherwise the variable could be missing (unbound) and break the error handler itself

commit ff88d7f0ec48e57521d417280a81bacba1fcc8c4
Merge: cd62241 3e0be86
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 22:43:55 2023 +0000

    Merge remote-tracking branch 'grass/master'

commit 3e0be86c50d15cd4657ec50dd173b0b1cde0a990
Merge: dee5352 72fdfa1
Author: grass <grass@danwin1210.de>
Date:   Wed May 10 22:41:27 2023 +0000

    Fix merge conflict with CI

commit cd62241dad6a0f3bc869043cccdbc7139cb27962
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 22:31:47 2023 +0000

    typo

commit ec0acd82dab5cd4b5bbeb65fa85b5f4c2c243183
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 22:28:43 2023 +0000

    improved startup result output

commit 27a3237c16e006992c07117f98177a7f845e9a10
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 10 21:49:11 2023 +0000

    fix for compatibility with new remote version API

commit dee5352512eab2b0e1c0a704d702471ab519a67c
Author: grass <grass@danwin1210.de>
Date:   Tue May 9 13:30:42 2023 +0000

    Show sucmd output on errors

commit 3ee5f010a4560fa78202f473e88f87322cb93948
Author: grass <grass@danwin1210.de>
Date:   Tue May 9 13:27:05 2023 +0000

    Add timeout to sudo tests

commit 7c26cbde68e3f3afc5e536b76e1ca8d817e14fac
Author: grass <grass@danwin1210.de>
Date:   Tue May 9 13:21:30 2023 +0000

    Inform that sudo usage is preferred

commit d29aee1d815b38b7034b40935280b4c08fe44511
Author: grass <grass@danwin1210.de>
Date:   Tue May 9 13:18:36 2023 +0000

    Make sudo --non-interactive test for users too

commit 99a16bf70afb6b8c31c88b39bcea46d730631fa6
Author: grass <grass@danwin1210.de>
Date:   Tue May 9 09:39:13 2023 +0000

    Add CI mode

commit d39930a31f2f08c1eb1f3cf6907b5ff3073824e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 5 17:10:29 2023 +0000

    bumped changelog version

commit aec797f2967d967ffa4fc1b932f7e0f469f49a62
Merge: 13f7c36 72fdfa1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 6 11:00:55 2023 +0000

    Merge remote-tracking branch 'nyxnor/master'

commit 72fdfa1cd79841364cc6a3a7f64d35c2a1c54a87
Merge: 13f7c36 119884d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Apr 3 15:47:41 2023 +0000

    Merge branch 'master' into ci-update

commit 119884df48d792bdb8ad118a1cfb418f228571e2
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Apr 3 15:42:31 2023 +0000

    Add missing installer output to CI

commit 65f382d0ccba1d3f4adf6ca99e04a72085b7f9f6
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Apr 3 15:37:34 2023 +0000

    Add needs directive to CI

commit 13f7c360efec2db57ffd3dbe7e8576220427ad2a
Merge: 548be7b c7c5926
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 31 12:53:34 2023 +0000

    Merge remote-tracking branch 'nyxnor/master'

commit 4a39f510178e8f9587c701df1d0bb05f20177c00
Merge: 33ccb5a a63e805
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:48:37 2023 +0000

    Merge remote-tracking branch 'bitbucket/master'

commit 33ccb5ab58ef502ac4b2e56b8e6d2a243a1ca9a2
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:48:17 2023 +0000

    libtpms0 is already a dependency of virtualbox

commit 1837c0b2f8fe76c7abd053f4e79412e29f5bce3f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:43:21 2023 +0000

    Trigger build

commit 5d51ceb74f9c8c806282b69f93cdef59f85f272d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:40:53 2023 +0000

    Fix missing dependency

commit dbeb6e7e187dbccac97919260f0bd253b47b5f93
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:34:56 2023 +0000

    Fix build ordering

commit 4cb897850d36f897e3d6db6b8c93c6b1261dbeb7
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:33:15 2023 +0000

    Trigger build

commit 184d0f5eb3a44d337a0d316f97ac7e2829b6ded0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:31:20 2023 +0000

    Trigger build

commit 3459dbd2a33581e714128ba6c9b63c3e331734a0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:26:23 2023 +0000

    Trigger build

commit 985dfaa44426c1168571db2d742767a0672ebb47
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:23:10 2023 +0000

    Trigger build

commit e80170fa87cd298b8a397d2aeb3c210c4aaac5b2
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:19:37 2023 +0000

    Typo in workflow path

commit 0b6cb4e3225074e86818f4a7b62f81ca3d85cb1d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:17:52 2023 +0000

    Trigger build

commit 2a1b67098b9daead6e6aa8a3b54648c1ef99ba92
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:14:56 2023 +0000

    Give another try to filter files

commit 99247d48e13b65f4673313f980d5aa971214f275
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:10:37 2023 +0000

    Trigger build

commit 922d507c472a289786717946ffff2576e52be5e8
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:07:29 2023 +0000

    Trigger build

commit 86808c4c56cd6a9878a4bdcba0a2f330a3443c97
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:05:44 2023 +0000

    Undo changes to the CI build
    Not working, build is being skipped.
    Related: https://github.com/actions/runner/issues/491

commit d633943eb10579c2df8e47a253ab02ac789edb5b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 09:04:01 2023 +0000

    Trigger build

commit e8d334ab055d8859287d7754204d1ddfe7c1cb61
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 08:59:05 2023 +0000

    Fix missing path on CI build

commit d941e39abdf6a0f5cab2631e67c4d9f22f278773
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 08:57:02 2023 +0000

    Improve CI build detection

commit fe413bbe8516b6190ff42c7b17a6a9fc38e87cfc
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Mar 31 08:52:10 2023 +0000

    Fix sudoers configuration

commit c7c5926f3e73e24e1da4ef45098d7e1383e0a3e1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 15:08:59 2023 +0000

    Fix build user

commit 9809ab6d00117d1ade43d6e42dc1740b59f96879
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 14:53:59 2023 +0000

    Trigger build the dumb way

commit 132532c84416f3c0c0c86dc35facaf6a4840569a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 14:53:06 2023 +0000

    Remove extraneous parentheses from CI
    
    please build

commit 67318a9be9e4d7d2eea122c1b296cb33c0874a97
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 14:51:56 2023 +0000

    Fix build syntax

commit 809838f800d44ce67ae0281bdc4ef52f9f38995a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 14:49:55 2023 +0000

    Trigger build with message
    
    please build

commit a5977ced5cb51458634c9abbb22b04a82a2b5f33
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 14:44:09 2023 +0000

    Trigger build

commit fbf0b156c3d99a693d0e03623ef2e4e93aa188a9
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Mar 30 14:38:51 2023 +0000

    Fix installer build running as root

commit 548be7b3c35c41be19170f4155cae60c339cd13f
Merge: 4ed3000 a63e805
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 30 09:18:39 2023 -0400

    Merge remote-tracking branch 'grass/master'

commit a63e805c54603f61d9f488d07f334ddc538c5d2d
Author: grass <grass@danwin1210.de>
Date:   Mon Mar 27 18:24:38 2023 +0000

    Improve has vbox-qt is checked

commit adc679631f9b5a0d760b983e5920895e96dc980d
Author: grass <grass@danwin1210.de>
Date:   Mon Mar 27 18:15:22 2023 +0000

    Fix VirtualBox graphical interface installation
    Previously it used to be installed as a recommendation by the virtualbox
    package, but not was we are using 'apt --no-install-recommends', it
    needs to be explicitly specified.

commit 61128a8f98ba10d5db0c6148bac69bf8aa40b8ee
Author: grass <grass@danwin1210.de>
Date:   Mon Mar 27 17:56:03 2023 +0000

    Fix dpgk typo

commit 7ec117bdcc2cbc8739e9f07213415c2b6dfc5e57
Author: grass <grass@danwin1210.de>
Date:   Mon Mar 27 17:15:19 2023 +0000

    Fix not_as_root stopping the script
    
    Tests return exit code and 'set -e' stops the script.

commit e92e692c743dd5e74de8244e20ff943dbd200176
Author: grass <grass@danwin1210.de>
Date:   Mon Mar 27 17:09:54 2023 +0000

    Block calling the script as root
    
    Didn't break, it was just insecure.

commit d52e002b6d10b3d9a12d640e37dbe3b568574475
Author: grass <grass@danwin1210.de>
Date:   Fri Mar 24 17:44:13 2023 +0000

    Fix function to check if package is installed
    Unfortunately, there is no reliable exit code on Debian to check if a
    package is installed, therefore the changes below are necessary.

commit 279a88057533c46c9d5931ec7455944dfc78e518
Author: grass <grass@danwin1210.de>
Date:   Fri Mar 24 09:33:13 2023 +0000

    Fix order of call to torify_conn()
    The function was being called before the license check, and as no
    package is tried to be installed before the license, it was failing to
    check the proxy.

commit 26ed3f41ddac2da3030280582b33a180c61ecf13
Author: grass <grass@danwin1210.de>
Date:   Tue Mar 21 20:29:04 2023 +0000

    Warning about missing tor binary

commit ca5238ee4352f97e922884ebb746b0b5fb31ad16
Author: grass <grass@danwin1210.de>
Date:   Tue Mar 21 19:21:56 2023 +0000

    Miscellaneous fixes for readability

commit a3af0a87edeb195d3ed78a88a8d25135650dc3ae
Merge: ab19e80 4ed3000
Author: grass <grass@danwin1210.de>
Date:   Tue Mar 21 18:10:46 2023 +0000

    Merge remote-tracking branch 'kicksecure/master'
    
    * kicksecure/master:
      bumped changelog version
      output
      improve free disk space check
      output
      lower disk space requirements when using --dev
      comment
      typo

commit 4ed300049f95b214600302ae73329adba5f30e6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 20:02:43 2023 -0400

    bumped changelog version

commit 2f9f156a94e48e37e34acfc0cee28bd194540437
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 20:02:00 2023 -0400

    output

commit f973dceb70ac50071c8a698f3a44abb7abcce3bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 19:55:16 2023 -0400

    improve free disk space check

commit afc14848fb985967caf0fa15a17961accbff2e9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 19:46:01 2023 -0400

    output

commit 52a4cde8996d9c47273b7690a2dee0da27f3b9e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 18:05:13 2023 -0400

    lower disk space requirements when using --dev

commit 15581da88bb3a3d8499efdd79303a0d241e84e31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 18:02:10 2023 -0400

    comment

commit 55d85ae903218eeed808b84a64f248c0eb4dd175
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 19 18:01:27 2023 -0400

    typo

commit ab19e801cad5667d0d6823c7c18eff0e00a724bd
Merge: fdc2974 195924d
Author: grass <grass@danwin1210.de>
Date:   Sat Mar 18 21:44:29 2023 +0000

    Merge remote-tracking branch 'kicksecure/master'
    
    * kicksecure/master: (34 commits)
      bumped changelog version
      fix, install ca-certificates
      minor
      comments
      install openssl
      use apt-get with --no-install-recommends
      fix
      fix
      fix, add backports repository since now required for Debian stable
      fix, add backports repository since now required for Debian stable
      output
      refactoring
      improve error handling
      quotes
      improve error handling
      improve error handling
      improve error handling
      long options
      improve error handling
      improve error message
      ...

commit 195924d003c5836b8bd741ab895d68c2c413a005
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 07:25:01 2023 -0400

    bumped changelog version

commit 9f1047e55572b5a1b9a8d0e10692f967d5f9cf71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 07:20:01 2023 -0400

    fix, install ca-certificates

commit 16ecb67b6f4281bdfa4d1b97d555cef32e772dda
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 07:15:47 2023 -0400

    minor

commit 7132e9283d5153691ec8cf17f5bd788b6de811f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 07:15:14 2023 -0400

    comments

commit 2836408f3555055116e68b5e8c5ca3e0681919f7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 07:08:20 2023 -0400

    install openssl

commit b38b1f9b086ecdb7f501e30abc5721a2f9fb7a0e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 06:59:11 2023 -0400

    use apt-get with --no-install-recommends

commit 471294bc6ab8d551d316e7bab81e9f2abe511e7b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 06:48:51 2023 -0400

    fix

commit adfb96f7ed84d16072f53cddc52ebb62221318b5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 06:45:34 2023 -0400

    fix

commit 21292be2f95d4ad937672883b8f1b69425d22ed9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 06:40:28 2023 -0400

    fix, add backports repository since now required for Debian stable

commit 8ac5dbac49475415e6e5d269c5acdc9dea16fe63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 06:36:49 2023 -0400

    fix, add backports repository since now required for Debian stable

commit ec6181173ad34ed53cf3decfdc88105c777cd4ad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:44:41 2023 -0400

    output

commit 65664c7af0c5dd07f50a014ec185ca79250302af
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:29:38 2023 -0400

    refactoring

commit 1e03c92aaf5ec1e893791ee46ee8fc386b0fb277
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:29:09 2023 -0400

    improve error handling

commit 0cf351bad3a483c6827e4fb0c175ec98284d0eeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:28:38 2023 -0400

    quotes

commit 36ba8db4c5c7e583bb8d1db14d597097ed396ff7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:28:17 2023 -0400

    improve error handling

commit dfe63aa0879630f1657241dcad33a97472bedb8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:27:49 2023 -0400

    improve error handling

commit 638dd8fd24fc71839b1d2e64d1381e77b2b3bd2b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:27:01 2023 -0400

    improve error handling

commit acafa93901e3ac3902a235bda4131f9fd7e90e20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:26:25 2023 -0400

    long options

commit d6729faf4f0a0f56001c89e32d864e6de1e978d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:25:35 2023 -0400

    improve error handling

commit f04eb4149800f0da54fda60d5e6bd30f0d4d3d4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 05:11:28 2023 -0400

    improve error message

commit d73880fbb315d54c554bdce8776cb142e6179fc8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:53:52 2023 -0400

    improve check_tor_proxy

commit 99477a0b62ee89976d5af5355712e83b742b26df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:50:15 2023 -0400

    improve check_tor_proxy

commit af37134e5f44b133f2d1373244ff467713a659be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:47:12 2023 -0400

    improve check_tor_proxy

commit d60ce97ad16d8566ae174bd4b68f597e65938b07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:38:41 2023 -0400

    improve error message

commit 4853d292f4843d8eb937cbedda5bc64bf70fc9f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:35:02 2023 -0400

    fix SOCKS auto detection, actually try TBB (Tor Browser Bundle) (port: 9150)

commit f1153d1eaa2dbde38f9fe4730b8312759cf8290b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:34:38 2023 -0400

    output

commit a1c1bc207af705f52379dbdfe1000125d593ceab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:31:29 2023 -0400

    output

commit f5194fb8e9f73f33c5878769d929cd3369af8a8b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:27:59 2023 -0400

    improve error message

commit a49902240f524225434b4e93ce188b45798ec657
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:21:58 2023 -0400

    output

commit 180a97594eb3397da01b50c9bea9d55da44d2f99
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:21:29 2023 -0400

    fix

commit 2b92dde7af3c6ed94c580e25a228cdde23ae65e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 04:13:37 2023 -0400

    improve error message

commit 26605639f05a99cb3ea72861422d7b4578818e0c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 03:55:02 2023 -0400

    output

commit 4534f078b7ea6325af97032b3e0067fe06a58203
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 18 03:54:09 2023 -0400

    improve error handling in case apt-get update fails

commit ece593c184a000559819ca939b795ad6955b37ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 15 19:37:13 2023 -0400

    typo

commit fdc29742d50ac251945a7562b847d2aa24befb6c
Author: grass <grass@danwin1210.de>
Date:   Tue Feb 7 19:00:32 2023 +0000

    hard fail when distro_version is not found

commit df691c34c587d123fe40074ff10a0e64f6e8eabb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 6 12:09:29 2023 -0500

    bumped changelog version

commit beda44e1a853b170038f21028a471f3a06f1fd64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 4 05:52:29 2023 -0500

    description

commit 6451af2a36370a44dfa29a73c36c1189de0a0ff3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 16 11:14:47 2023 -0500

    bumped changelog version

commit 6be6822e3a6e960b04cc841efed148575ab11a25
Merge: 2b28072 3246991
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 16 11:14:17 2023 -0500

    Merge remote-tracking branch 'grass/installer'

commit 3246991859c35e37489d6e99ed3b95904d60054e
Merge: fb3c25e cc3043d
Author: grass <grass@danwin1210.de>
Date:   Mon Jan 16 15:55:24 2023 +0000

    Merge branch 'master' into installer
    
    * master:
      fix fasttrack onion insertion

commit fb3c25e0560064f637cbbda550ae68667e305e32
Merge: 5b76e9c 2b28072
Author: grass <grass@danwin1210.de>
Date:   Mon Jan 16 15:53:53 2023 +0000

    Merge remote-tracking branch 'kicksecure/master' into installer
    
    * kicksecure/master: (115 commits)
      bumped changelog version
      shellcheck
      quotes
      refactoring
      quotes
      quotes
      bumped changelog version
      fix
      fix log_run and fasstrack repo adding only if necessary
      changes to su, xtrace, fasttrack no su function xtrace printed to screen fasttrack torified or +onionized repository
      bumped changelog version
      genmkfile manpages
      better error handling in case starting VirtualBox VMs fails due to unexpected reasons
      man
      refactoring
      a failing vboxmanage startvm is not considered a bug if virtualization detection failed
      nested_virtualization_detected
      typo
      improve output if nested virtualization is detected
      output
      ...

commit cc3043dfc20e8c1193605809e331e1291c3c4988
Author: grass <grass@danwin1210.de>
Date:   Mon Jan 16 15:45:10 2023 +0000

    fix fasttrack onion insertion

commit 2b280726ddf2874b1305101308fbff7cd31bdb1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:44:23 2022 -0500

    bumped changelog version

commit 4769bd4b287dd08b9d980824dc475c08278861f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:44:05 2022 -0500

    shellcheck

commit 0fc394979e46760731bcd3c584c216a53d3db0ed
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:39:18 2022 -0500

    quotes

commit 127ff67c090f7ad353e6c4370062be96abef4a8d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:28:27 2022 -0500

    refactoring

commit 175824851b7450f3bbba846c1e1de31d1ac5f9f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:19:36 2022 -0500

    quotes

commit 2e72d4a021610fee8f24aa8737fabe482f90e874
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:18:12 2022 -0500

    quotes

commit e1ffeadd0f148673c06c0b8126941e84f6d791ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:06:01 2022 -0500

    bumped changelog version

commit 2977eb2184bb4a46694d1bc97b59b7e9c71ecff9
Merge: 0fb4c06 39c4a96
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 28 05:01:20 2022 -0500

    Merge remote-tracking branch 'grass/master'

commit 0fb4c06d6ab85d6125054205bc0869fa72180b95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 27 05:49:15 2022 -0500

    fix

commit 39c4a967ae1c7ec5179d7ccb14f9e4746f7ca5d2
Author: grass <grass@danwin1210.de>
Date:   Mon Dec 26 21:23:39 2022 +0000

    fix log_run and fasstrack repo adding only if necessary

commit bb245685c0515dfed6c252cd5b0411ad305596e4
Merge: 59fc481 acd1d69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 21 08:29:13 2022 -0500

    Merge remote-tracking branch 'grass/master'

commit acd1d69f0c7ca32de2f677ac73458b40f5aa33b9
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 18 23:39:49 2022 +0000

    changes to su, xtrace, fasttrack
    no su function
    xtrace printed to screen
    fasttrack torified or +onionized repository

commit 5b76e9c2f3b699f15953ec30e5dfdbcda1be5a92
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 18 17:18:43 2022 +0000

    deal with testing not having complete /etc/os-release

commit 59fc481deb1dfd99c92384da69f342a63d3deb51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 11:40:58 2022 -0500

    bumped changelog version

commit 110f358c8bc3974866a2ccdb7ccf5969f4f2ecc4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 11:40:33 2022 -0500

    genmkfile manpages

commit 1ab26b2d6ba188a1fe9e41dd0bc1bdb8446ce047
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 11:29:29 2022 -0500

    better error handling in case starting VirtualBox VMs fails due to unexpected reasons

commit cc29737ab1dc8fe439bca82562ef438563d03222
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 11:21:44 2022 -0500

    man

commit 9f6e1381c3653806efa2e30762d63fe1afc8e255
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 11:20:57 2022 -0500

    refactoring

commit 185b1ea2081a7399ca759c2065ec5cef8614142e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 11:11:40 2022 -0500

    a failing vboxmanage startvm is not considered a bug if virtualization detection failed

commit a968d9f8ec1f49de477ab5f8cf865b230c1cddf0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:56:24 2022 -0500

    nested_virtualization_detected

commit abf4eec2d5312e5226e69483682f242596b14c38
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:54:52 2022 -0500

    typo

commit 95165dae9293b9cace69d8b418415e05cbb0625f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:49:56 2022 -0500

    improve output if nested virtualization is detected

commit 5f656fd349f73c03a5d94d57bbeb3f3abdcad49a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:40:19 2022 -0500

    output

commit 29bafaf64fbacc8ab2fa874c31633505aa9f7e84
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:35:49 2022 -0500

    do not hardcode domain name

commit d09c7043331b0ece80b5cbf7e3a8c4a329561285
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:30:40 2022 -0500

    show which root commands are executed on the user's system for transparency

commit a8f90ed69d8a172311175dd2a3e874a7fa88810d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:22:32 2022 -0500

    improve RAM and virtualization test output

commit ccc9b323395054ccef9ecc152a0fb29d95aab660
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 10:05:57 2022 -0500

    refactoring

commit cff09cec93ba2278c7aa76f289a6d8ee26ec526c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:56:20 2022 -0500

    output

commit a33406a6a18de796543cb3943283731ba744fc28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:46:54 2022 -0500

    refactoring

commit 0a4f44d90a409c0c8effb24f52bbcbd1e1bc5fe2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:39:36 2022 -0500

    improve output in case of errors

commit 04780a5161b6c863bfb3e9bba68dcdf316d4b47d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:21:30 2022 -0500

    shellcheck

commit 720acc85e8abecfb8258aa3c906b9584191c6146
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:19:40 2022 -0500

    request logs to be included in bug reports

commit 7d25959ba4b39f3d87518197eaa1ac05f083cd4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:04:57 2022 -0500

    refactoring

commit 7cdca77106735b66d0acfb22f7c4a19c6756bc07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:04:26 2022 -0500

    fix

commit 05df1bf91a1b1deb354ea8a63a2d225c9515ce59
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:03:36 2022 -0500

    rename

commit 109a6f95cc20d6ce65f6f8dd4491d682a59efc0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:03:20 2022 -0500

    refactoring

commit 8fb9ca1949429723a8e7265f6656aa9a0e3fc0d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:02:13 2022 -0500

    refactoring

commit b96845ca14a1fe55c69e70d7046146ba1429e5f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:01:35 2022 -0500

    rename

commit b0000d9ee80a4e1009976aea93e522f1e34330c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:01:04 2022 -0500

    rename

commit 67b2feae1a720ee4568ded277383d117a5343560
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 09:00:28 2022 -0500

    point user to debug log

commit e2d758352113e2cf6d73de9614a5f0de1a594bb1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:55:59 2022 -0500

    refactoring

commit e40b9a3d2d50aef1588b3a2ff835779cd0a45079
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:53:12 2022 -0500

    refactoring

commit b6dd4f838a31d53b06bc9ac40e0c46edd5531445
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:48:43 2022 -0500

    output

commit df81a58cfe32f936d8158ead83aa430c3eda7923
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:46:45 2022 -0500

    set shebang to bash for better error handling

commit 6186644fd8621a610fd5d63cc7b1171484660e61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:41:56 2022 -0500

    output

commit ebfd8bac1f8e40876fdec32c3d55e3260bc7ae9c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:29:54 2022 -0500

    test_pkg

commit 50bcbacb3eae44ed447c9920c236f7963b2dff56
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:23:53 2022 -0500

    improve root_cmd

commit d112387452d77673d3598ac17abc7b72887c4ecc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:22:06 2022 -0500

    fix doas support

commit aa31104968aa0239bb8c828d823a4f6ebada59da
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:08:06 2022 -0500

    fix

commit 25e3772783bfc9331e476884d82c2d15cbc4c8f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:06:57 2022 -0500

    fix

commit bd0a2190fd1ee519b6065e0846ab53cae5cfc2d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:06:22 2022 -0500

    fix

commit d998dd6fc77230e3120b1270641e22fe0da1e082
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:04:41 2022 -0500

    fix

commit 37a1b668715440a1b8320181480bdc6f061ba27a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 08:00:57 2022 -0500

    fix

commit a2237b594a724f754d29d977fc3f0213cfa1e8e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:55:13 2022 -0500

    fix

commit 184e16bbfadf8192bd8d4de0f68565f53dea937c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:52:31 2022 -0500

    fix

commit 8d083f994879563cec1cfdffef66362ea740bc11
Merge: 3f0010a 498da70
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:47:32 2022 -0500

    Merge remote-tracking branch 'nyxnor/master'

commit 3f0010a45fea35511a0f8e38323c108a85601f78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:30:49 2022 -0500

    CI

commit 7216aaa1d7a46ffc660c7e43f7894925a7048144
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:25:18 2022 -0500

    fix

commit 56e89722bf65ef3aa803e335f0b4ef48943b2718
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:23:54 2022 -0500

    quotes

commit c872a9017d6d2ce2bc3f2a221a56ebd24b94ad35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:20:22 2022 -0500

    install ca-certificates

commit d3c65504efa1457e7bee370a6b45a9f1c73f026d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:16:02 2022 -0500

    .

commit fec1da877bc316962a5dd9d11c8fd9583061b854
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 07:13:01 2022 -0500

    fix su support

commit 8694d2388f466d87969d8e9b83fe90bb9ffe002b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 06:41:58 2022 -0500

    guard against /etc/os-release not containing VERSION_ID

commit 61a259a92b32e98313bbb01c9d9ffa35a275ce13
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 06:28:47 2022 -0500

    fix

commit 734be2dca37314c4c8bada233f0d054c2f6f10ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 06:26:36 2022 -0500

    typo

commit aa23f28bbdb084047afc07175c5be0435af915fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 06:26:20 2022 -0500

    fix fasttrack repository detection

commit 8c10d18e0d462bcb508cbe7e4c57be3a4502e491
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 06:01:56 2022 -0500

    fix Ubuntu version detection

commit 9ffe04953313f4f781a04bbfa2679520f0318393
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 05:54:24 2022 -0500

    CI

commit 2afea30d0519c37e536466c4b14bc3ae0db5933b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 17 05:46:04 2022 -0500

    CI

commit ca783a56d9e504429820fa377e40d7058a50a38a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 16 18:57:40 2022 -0500

    bumped changelog version

commit 498da7094e3d6dc879712623e0adcd921490e6d7
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Dec 12 19:08:49 2022 +0000

    set note why ubuntu has the version set

commit b417b6c3e8eaa9f5d6c47b2b4c45472aa378683a
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Dec 12 18:57:04 2022 +0000

    .

commit a055827975441625098f9528988a660b5addbf29
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Dec 12 18:54:06 2022 +0000

    try mint latest

commit b52f67349ae18ec023936a582601dcb63c4c5a1e
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Dec 12 18:44:00 2022 +0000

    try linux mint 3rd party image

commit d914dac437e8b1fc7a16cb0b715a551a4339a2e1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Dec 12 18:40:46 2022 +0000

    better handling of disabled colors

commit 5de4bf29c400e1c2c3bcbe0a98be5bdb33d79e7d
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Dec 12 18:35:03 2022 +0000

    add another environment variable to disable colors

commit 05e66472fff6b2775a4d75efdca6842a52c98023
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 20:55:40 2022 +0000

    fix build with checking out repo before paths-filter

commit 1d73d324bb2515b154f21577115e94d70f9aeca1
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 20:49:40 2022 +0000

    newline to test build only if file is modified

commit 55b314899d7be991094a790f421f5e9d47b436cd
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 20:48:40 2022 +0000

    try another gh action checkout version

commit 278445546ff2b137ca03361abf85dfaa9ae81e11
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 20:45:20 2022 +0000

    add support for no color

commit 64d5e976e79681c8399bee63e0a52e207a52cbeb
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 20:39:11 2022 +0000

    fix yml syntax

commit f38ee7fd47afd015f2035585ba71a2f4b312cbed
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 20:36:10 2022 +0000

    run build only if installer was changed

commit e25dfba9f19b8cfb4792cd15fafc26dff2f95876
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:56:32 2022 +0000

    build fails without sudo

commit edbb15f5620fc5b2482897a36813d556800cb76b
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:55:01 2022 +0000

    fix yml syntax

commit 08ff5762faf041d248c98882615ad7c6e52e6e9e
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:53:16 2022 +0000

    test without sudo

commit f86d9c4582e4a7c148dcaf4843e0a48c6fe49aa0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:46:36 2022 +0000

    remove debug lines from build

commit a57ffb410c4c64bfa777dde85dffa8f06d950e23
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:42:55 2022 +0000

    fix shellcheck

commit 446657c1388fb3ebe62f05cd4031b6bf1888f336
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:38:21 2022 +0000

    fix build with ca

commit 32d214de66fa99c08ed28cd8e261b5bd62c8d669
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:33:50 2022 +0000

    fix shellcheck

commit 90b54c9fe7bb47f446e86542b93c28879a6f08bc
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:26:17 2022 +0000

    use portable id to get user

commit d638bbff4775c555ed8285e942707e23182e8e56
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:20:57 2022 +0000

    try to get username

commit bde7c44d1e95dde1499da0c8bd7e75d8694629cf
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:10:30 2022 +0000

    misc

commit d4a38b11fc50a8e574e92ecefacee16f46c53c52
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:05:56 2022 +0000

    try with sudo

commit 05f7ef6b35d64571aaaad3a3d2e32a4a6f26d41c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 17:01:34 2022 +0000

    fix build exiting

commit fd5c598c1792d74a082dae034a81c6a7c1738e96
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 16:59:38 2022 +0000

    remove extra line

commit 65fd34c49ddf23959911ec25054258a7570f3483
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 16:54:07 2022 +0000

    remove ps dependency

commit c528e0f7e59fec63c42da61bd8ba22cf2e97696f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 16:29:16 2022 +0000

    fix unbound variable distro_version

commit 2f16b91a19b8870beaab7014665ecdaa375f5f66
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 16:25:46 2022 +0000

    print env vars

commit 6cbeba6ff62b2922d48b7431bfeb4526c5c3f9ef
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 15:43:29 2022 +0000

    better bash

commit 6449a0b9543d072b75096ee4a4a475dd4e326286
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 15:40:44 2022 +0000

    better method to check if shell is bash

commit 48617e845d381921d5b25ded44df82f0c3f8cea2
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 15:34:08 2022 +0000

    set shell for the workflow

commit 1c1a39665643f3c69a5437133f9f0ad91de14536
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 15:31:27 2022 +0000

    fix ubuntu version check

commit 82e30f89075905ed2f031ef0cb78b671e89d22cf
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 15:26:53 2022 +0000

    remove sudo from workflow

commit 0c3b398afa0579158058e26637ba6449beff3c1f
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 15:24:33 2022 +0000

    add test case for workflow

commit e3a5a0fa059317a9ad62f43873017a49462ca183
Merge: e4c2dd5 b349d34
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 11 09:01:34 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit f986e16fb0e2e3ed4cce837673c075c11d7fed21
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 11:12:47 2022 +0000

    fix tty problem for build workflow

commit 25a930d8193254fee239e0c3ed8bd7b291214635
Merge: 8008cc7 b349d34
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Dec 11 09:11:32 2022 +0000

    Merge remote-tracking branch 'bitbucket/installer'

commit b349d3415a4554a81caa84d128683bf956c650fa
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 01:15:51 2022 +0000

    print logs at the end hopefully

commit 983944bdc3bf94efc993d9d40f4d1e803559d877
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 01:10:51 2022 +0000

    identify problem with tty not being connected to terminal

commit e4c2dd5cec917d3330c0771ab8ff8d52edaa0aa4
Merge: 73ee6e5 b68bb05
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 10 19:51:03 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit f664ac9e4e0c8f52c497659410cfa7af27219fed
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 00:50:35 2022 +0000

    remove newline

commit b68bb0592ac8f1150ccae881e733f7e9e3a4975d
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 00:49:30 2022 +0000

    fix build not having ps

commit 73ee6e511d4b7e94912d332738df7da06159d6ed
Merge: 93d03d6 eaa74d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 10 19:39:27 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit eaa74d85c9f7e0fb134d15058184b7fff7e84615
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 00:32:47 2022 +0000

    beautify output of exec

commit 93d03d6f23ce018ae7fcaf1aede6dd5e555c5e95
Merge: 837acd5 bddc2a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 10 19:16:49 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit bddc2a5f95a97639cffa6d6fffefc32da05e65c3
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 00:15:30 2022 +0000

    fix build path

commit 837acd599f588452e60f1f3eda14be3d734d63cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 10 19:05:53 2022 -0500

    bumped changelog version

commit 89bdb177d224f07bd4512d59c5df1d240e07044a
Merge: e7e3048 368f8fe
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Dec 10 19:05:02 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 368f8fe991324693c9724ff45a8862ec53e4746b
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 00:03:24 2022 +0000

    live again

commit 51b32b9328283dfd415b05bb9bdf3434f9bd9e71
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 11 00:00:02 2022 +0000

    destroy will to live

commit fb9593813a2f24f01f0bac3cf06d5ddba3c5abc9
Author: grass <grass@danwin1210.de>
Date:   Sat Dec 10 22:52:40 2022 +0000

    add CI workflow for GH actions

commit 63adee8457cfc741815b4dd8bf6ba4c7d7f44afb
Author: grass <grass@danwin1210.de>
Date:   Sat Dec 10 22:52:05 2022 +0000

    better logging xtrace for bash and fix mint

commit 9f276db21c8361532a49b04b54a4c9a9e2f4ee79
Author: grass <grass@danwin1210.de>
Date:   Wed Dec 7 19:16:34 2022 +0000

    fix help message ordering

commit e7e30482d234ad176a3a3cefba1e7df0a2672608
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 7 12:04:14 2022 -0500

    bumped changelog version

commit 79445b59b867abc7c485fa0f99379a2306a479e1
Merge: 47d1215 3fe47a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 7 12:03:47 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 3fe47a3a5dc82f909eefc6779113c91b15c424d6
Author: grass <grass@danwin1210.de>
Date:   Wed Dec 7 16:55:09 2022 +0000

    allow multiple process to be killed

commit dc07d990fab559243fb17f81319be52cef26d375
Author: grass <grass@danwin1210.de>
Date:   Wed Dec 7 15:40:22 2022 +0000

    clean run_installer into more functions

commit 47d1215fe8e1e698e6820b388ecc24742dda7880
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 7 10:07:47 2022 -0500

    bumped changelog version

commit d72af776b4315892fc91bd86779d1ad1f62e51ea
Merge: 75ac6d4 a663588
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 7 10:07:29 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit a6635880ea1e046f46cbbb96ec2086f4e2ad276f
Author: grass <grass@danwin1210.de>
Date:   Wed Dec 7 15:04:11 2022 +0000

    fix end exit for options that doesn't hit main

commit e61f0a1b8df836aaabbccba250887ea1d1058898
Author: grass <grass@danwin1210.de>
Date:   Wed Dec 7 14:45:06 2022 +0000

    improve logging mechanism

commit 75ac6d4d5aff01926dba1819893ada67b796f4f0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 7 08:15:28 2022 -0500

    bumped changelog version

commit 5e70e4d81e494e66b296f89136b1ac332e8a738d
Merge: f59a6d7 b0303fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 7 07:58:32 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit b0303fc33d0327de5b257f6fb2843d1bca87cfeb
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 18:43:22 2022 +0000

    change date logging to increasing number

commit 37d3ecd48553a1e136dd7196572a49b068cd9c15
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 18:07:38 2022 +0000

    fix date to be utc

commit c6c7353f18e8414c38021f6a3d97ccb07f60d197
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 17:47:03 2022 +0000

    add comments to explain import_only functionality

commit 4ebd1bed4f1330b5403635283d52777fa8f53a46
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 17:40:28 2022 +0000

    fix import_only to only manage the specified vm

commit 51ee45680e506092d5df2538db4f008fd59fe28a
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 14:40:11 2022 +0000

    fix mirror wrong subdir

commit b0db53bc1460d0bf2c709fbd55286074035e640f
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 14:37:56 2022 +0000

    explain problem with current logging to file implementation

commit 25bd9b01db37b0c0c387bd3bcb603b8ba447b0c4
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 14:35:28 2022 +0000

    typo

commit 140766098af61df572740bade31956c403d20a16
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 14:34:40 2022 +0000

    fix dialog failing due to parent script redirection

commit 0629f82efee865c452bc12e3ebd34aa071b777d2
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 14:03:22 2022 +0000

    fix mirror zsh completion

commit 60aa51c2b6f7f3a48c8452b7f3939507ff83d0ca
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 13:18:53 2022 +0000

    fix zsh completion of --import-only

commit 7300782af1a62c76e09bbe16109855353255657b
Author: grass <grass@danwin1210.de>
Date:   Tue Dec 6 13:16:32 2022 +0000

    fix get_arg quitting by unhandled case
    if opt=value was being used, it was returning false, making the script
        abort.

commit c5c40f77c91b8d1679994aefe1d093c5c25e5383
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 4 22:40:44 2022 +0000

    add import-only

commit 48939c89ec8c9fd549f87ec68425b2703d8077eb
Author: grass <grass@danwin1210.de>
Date:   Sun Dec 4 21:58:50 2022 +0000

    add mode to log to file and option to not show errors

commit faeaf3da5e21db9240ff85d2cbf5de921f6b4bb2
Author: grass <grass@danwin1210.de>
Date:   Fri Dec 2 18:36:23 2022 +0000

    add commit hash placeholdre for distribution

commit c80b535d853b4f557836acf1678a7f8b20e5065e
Author: grass <grass@danwin1210.de>
Date:   Fri Dec 2 18:19:31 2022 +0000

    uncomment pre_check functions

commit ca853fd9c5ec6ad5047744d61d2d1e28fd4852e2
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 22:55:58 2022 +0000

    add mirrors option

commit 649773ab0e8940b0f09d97785552b192c66cdd02
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 19:03:45 2022 +0000

    fix spelling mistake

commit d22cb017257c7858ab0f8f6af3b5e31bc556f788
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 18:57:57 2022 +0000

    fix not informing about what package is missing

commit 5c475bbf801b8558936b14f79ba139b20e5e53ec
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 18:49:21 2022 +0000

    fix netcat-openbsd pkg name

commit 08d5cac4b84cbe17510ca5ec357d4fc8868e2c65
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 18:23:36 2022 +0000

    add allow errors (dirty mode)

commit 9ce47675440c24c8c74ec853c0361e597aca8fdd
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 18:14:14 2022 +0000

    fix pre check

commit f59a6d7d95c60bc96ef57ef182bf525826237792
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 1 13:05:24 2022 -0500

    bumped changelog version

commit 82a9775d54b821db368a314a8d323a7c34b81611
Author: grass <grass@danwin1210.de>
Date:   Thu Dec 1 16:14:45 2022 +0000

    add testers mode

commit eae3601622155facf7146d7918e711e647ecc251
Merge: 2a8a1df 302754f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 1 09:03:51 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 2a8a1df7fee72e5880858a3df5ab9b8d6b6d9165
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 30 14:37:55 2022 -0500

    bumped changelog version

commit 7ca9ffa8934d8e9957cd43458e99b57c1b6f1450
Merge: edaecb1 6a16463
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Nov 30 13:42:00 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 302754f5f225252881d28147075e91d8955d21a9
Author: grass <grass@danwin1210.de>
Date:   Wed Nov 30 18:39:02 2022 +0000

    fix not failing on the first download error

commit 6a16463132750cf819901d99b964f72d4bf6a849
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 21:44:17 2022 +0000

    misc changes

commit 71e66384b454aa030570d7bdb5c1ddcab3407a7d
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 20:46:38 2022 +0000

    add no-import

commit 9a11cec5b928121042bbe1bf8a4cafb96d4dd284
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 18:29:39 2022 +0000

    fix zsh completion

commit 04981ecfd889d9f418b8def70980e786b1374b27
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 16:17:23 2022 +0000

    explain why the log_run can't be encapsulated

commit edaecb1af7def15f57da835f8a44b41e6f13d6e7
Merge: 2e77c3b 4f8cd0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 29 07:25:15 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 4f8cd0d43c157826219c1990f05f7484515da251
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 12:15:37 2022 +0000

    improve testing variable length

commit 2357aaef1e3eb77f372dfa6b78dab870a6e2049d
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 11:25:45 2022 +0000

    remove unused shellcheck

commit 2e77c3be4ef2d2f2b148fe6101a3ad32b84e013f
Merge: 5de7697 6209ae0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 29 06:17:28 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 8d54469b19d267361adbf72f01c8d44cf3ded6b5
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 11:14:36 2022 +0000

    fix curl printing too much information

commit 6209ae0ddd25f2e5b46ca42a9b67ebdf23f5eada
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 11:11:28 2022 +0000

    fix not printing cmd to test internet connection

commit 5de7697bff52f5b790cfd154725ee234d16eb886
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 29 04:20:54 2022 -0500

    bumped changelog version

commit af049aa0843c207567bae25bc1ca60bd33a3a4ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 29 04:20:53 2022 -0500

    re-generate man pages (generated using "genmkfile manpages")

commit 32336600e44f668547ff3cfafd9c41a61ab19e35
Merge: dcfba7a 9f2e81d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 29 04:16:18 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 9f2e81d409a719e74a6580f581db815bde15a843
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 01:00:09 2022 +0000

    fix compression and partial not being used

commit 6b4ac3a26823247e87a7d5d2441b4a23d6e76a52
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 00:57:01 2022 +0000

    fix timeout not accepting user signals

commit 640c7ce164041793920e524c03f4c4d5d61267d1
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 00:39:40 2022 +0000

    print pid

commit ed148ce63c4fb0b146a5c0144ccbd55fbb351da6
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 29 00:30:57 2022 +0000

    change rsync option from inplace to simply partial

commit 07c8e5f0680188f686147b8ff7fa97cbd42a51e7
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 28 20:20:03 2022 +0000

    add optimizations for transfers

commit 93a285add5bdf15367a6ce9e4e554007a251be9c
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 28 18:44:03 2022 +0000

    fix timeout of transfer
    Each program has different timeout options that work in different ways.
    Implement program specific timeouts when possible and resort to external
    core utils utility to ensure the maximum timeout is enforced.

commit e4c6cdf6d3d08af9053a18bf45a24a74c1fd46ce
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 28 14:00:29 2022 +0000

    fix shellcheck warnings

commit 0888453794c32917bc398af50ee30b72df0090f2
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 28 13:54:14 2022 +0000

    fix variable mispelling

commit 61d7a6f9a03775e57f3d6114ed67c0276b5a404d
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 28 13:52:48 2022 +0000

    fix rsync now showing progress

commit dcfba7a2d7931195e8a69c8aecebc281b96be888
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 28 06:58:21 2022 -0500

    bumped changelog version

commit 0e74860c37430f4712494e33031cb4f4936bf4b6
Merge: 7dc5af2 e726b83
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 28 06:55:11 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit e726b83763a8a77caae2831a5c5fc6e2e9876bc6
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 27 23:43:52 2022 +0000

    fix max size for whonix xfce images
    current version 16.0.8.2 is already 2.1Gib and version 16.0.8.9 is at
    2.2GiB.

commit b22ad9f64bb9f00c2e743a636235efd8bc51138b
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 27 22:51:50 2022 +0000

    fix rsync now showing while file was skipped

commit 7dc5af2b2886efae56b51b93420989c76324696f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 27 16:12:35 2022 -0500

    bumped changelog version

commit 2b736869694298b133e55effb79c2914192aca96
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 27 20:32:24 2022 +0000

    revert printing testing internet command
    dumps too much data and only useful for testing

commit 1314b5efb64d8b17043d6f1fc5305e62316fed26
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 27 20:19:01 2022 +0000

    fix download links

commit ba6136ea4e87708f01efe501fa7aa339f4559ce4
Merge: bc67fa0 b6f2f7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 27 14:33:18 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit b6f2f7c7f353b709685395ddb87fa2f722af6ed5
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 27 16:48:11 2022 +0000

    fix testing connnection without proxy

commit bc67fa00feee75392f68865034b4be70a62159a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 27 07:32:57 2022 -0500

    bumped changelog version

commit fe492b3d1a407b6cfdea04df04bcc4870dea24ef
Merge: 9bf9e09 8f247d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 27 07:28:09 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 8f247d9330e26db18246f0668367efe8093bc26b
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 27 12:05:57 2022 +0000

    fix rsync with torsocks

commit 9bf9e0971aa145907e496dac85bd308548f719a4
Merge: ffe1164 5fa0ff3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Nov 27 05:38:19 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 5fa0ff3eb027f682af1bb22a9069345611e06079
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 25 23:55:57 2022 +0000

    fix missing test key

commit 49c1b7a4792c29ad4897d0465a7aeeddfe721930
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 25 18:37:06 2022 +0000

    fix problem if ws/gw exists and the other counterpart doesn't

commit b57c7f650557253f590a68e4c08dbb6ee3c99e77
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 25 17:47:35 2022 +0000

    fix shell completion files to complet

commit 5465ca7f0dd0069c8d5328fc642c84afccaf89eb
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 25 17:41:37 2022 +0000

    fix testing if package is installed

commit 198664fd801422e2ca7eb27037316f0864ffc9ff
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 25 17:29:24 2022 +0000

    add extrace space

commit 4de402387801896ca0d6d4f6d0b589a3783cc44d
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 25 17:26:17 2022 +0000

    fix rsync downloads
    other relevant changes:
    - fix cmd to check proxy evaluation
    - better check directory prefix validity

commit bf6bd7f779b5728c60896bdce6c1e859e476b096
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 24 23:25:48 2022 +0000

    improve transfer utility with rsync

commit 879bbc41b7eb564a71a8c91fe1dd3dc6ab74a478
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 24 20:33:02 2022 +0000

    add rsync as transfer util (unfinished)

commit ffe1164c369d3d8cc56f8d373b6c15165fe2d0f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 22 23:58:52 2022 -0500

    bumped changelog version

commit c97ed5b0bfd4a481eec1a7949ce72b140a8ff3bd
Merge: 99564b8 c0b787e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 22 23:58:32 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 99564b85aebe945d6a5175adb05d96a3f9fc76fc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 22 23:48:53 2022 -0500

    bumped changelog version

commit c0b787eb07b2f7f621106f1199bb452bb1e65745
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 21:52:30 2022 +0000

    fix duplication of variable definition
    Previously was required because the code was not allowing empty var when
    using set_arg, which happened on the first definition of a variable.

commit 961aea8198f1606f88c0bc81e28d24128247191b
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 20:18:38 2022 +0000

    add mention about redownload and reimport when booting guest

commit e2d57ad198c0b6e0174a4719f4f1d572b36d067c
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 20:14:31 2022 +0000

    add pledge for reimport

commit 8d7649dcc70f149f5abf7aad61d97d3fe5cb2e67
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 18:26:11 2022 +0000

    add reimport option
    ability to reimport over existing vms, leads to data loss,
    requires more warnings.

commit 66eaeccc4f8f9037506221bcf30ac3ee217b6aa4
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 17:12:11 2022 +0000

    add separate sections to help discern the steps

commit ecae8998050ed4eeea337ea00950b57a4a9f71d8
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 15:45:52 2022 +0000

    add --redownload

commit 41d2a2ad772bd86e207868cb26563efb7aabafc4
Merge: fe270da 6a8a72a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 22 06:24:51 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 966f51efb2f9739ef1b07ef84cd094decbe8d0e0
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 11:01:13 2022 +0000

    fix dialog types comments

commit 0a18b1015d16271c42de3d3298cf4269580ead8f
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 10:58:20 2022 +0000

    prefer dialog over whiptail
    problems with dialogs:
    - dialog prints empty lines on exit
    - whiptail does not set default option when scroll text is neeed

commit c2c91cabe4011115a97524b76c7257d8992f3dd9
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 10:48:15 2022 +0000

    fix directory prefix by creating directory

commit 541667a24fc2d89e8bff13763a4ea5059a5c3ee2
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 22 10:38:32 2022 +0000

    change default directory prefix

commit 83c18c47140635dde614415d76059b221b068813
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 17:41:27 2022 +0000

    fix pre_check problems during dry-run

commit 6a8a72ae5eeff143c6cdb7eff0317179aba2fe42
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 16:00:43 2022 +0000

    fix pre_check not quitting when there is not enough space

commit 838a3f04b23e2cd772c952f14dae960bbdada163
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 15:06:29 2022 +0000

    skip starting vms if dry-run is set

commit 7aa149ee72b3b89ca16a9c0fa4f1adc61e684ed7
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 14:36:39 2022 +0000

    inform which machines are gonna be started

commit 7cb68bbd363f3b4ad113594f9f20c6dd007a6a3a
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 14:27:49 2022 +0000

    improve boot of vms

commit 161653190bcd6289b33cfd64be4f11768134c51f
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 14:11:43 2022 +0000

    change aborting if vm exists to allow booting vm

commit 81c63261d8756e05b95ffa7dbee2b65f3114eae2
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 12:21:06 2022 +0000

    ask to start/boot guest at the end of the run

commit ea1159ea33cbea75bc2886ee97ef94e5d30b8c37
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 21 11:24:55 2022 +0000

    log verbatim commands

commit f33028e7404bfe50e8691a40415192e5b6787952
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 20 23:05:43 2022 +0000

    dev mode, nested virt detection

commit 96e3eed8f8e1e451b466293a0b87b92b08191c07
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 20 09:52:27 2022 +0000

    fix pre_check not quitting when failing

commit fe270da2ac9dd258c87218cb6f71ea749c1b0d38
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 11:48:49 2022 -0500

    bumped changelog version

commit e0d8c8244129f770467b75c642ae2d957da6b924
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 11:36:11 2022 -0500

    copyright

commit fb09413ebf99701d6ebfb602cfa86938e38d1113
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 10:58:46 2022 -0500

    copyright

commit fddc0574e5860f11cd6b7e7e6c13b8d3193ff8d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 10:58:39 2022 -0500

    copyright

commit 56cda598cd682bfed44dd7d549b60b25e2f5d87d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 10:56:47 2022 -0500

    fix

commit 8efa0a68e7b7cd42307e5625f36f5ffe641aa08f
Merge: 28daa33 513d6e3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 10:55:52 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit 513d6e301f4eca4253788e7a30ecd7a5cad922be
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 18 15:07:25 2022 +0000

    do not fail anymore for get_virtualization
        not needing to handle that anymore as we are not failing if not
        virtualization available.

commit 3b6efbed4e2bd488f70a108701aa46d8a11cd223
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 18 15:05:39 2022 +0000

    remove symlinks
    
    will be added later by the debian packaging mechanism

commit 915e5433178029fb55c7f3a502c8118e9077b735
Author: grass <grass@danwin1210.de>
Date:   Fri Nov 18 15:04:42 2022 +0000

    copyright all files and link to COPYING for all licenses

commit 28daa33678fe48bdaa680f646c775a202065a4d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 07:41:01 2022 -0500

    bumped changelog version

commit 24597560f0f879c11331b47473ded85ed03fe905
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 01:49:49 2022 -0500

    use dh-links instead of hardcoded symlinks

commit b1caff02cabdcef18a6513826e2df59f1ca4542b
Merge: 5cc1928 c872a7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Nov 18 01:46:17 2022 -0500

    Merge remote-tracking branch 'grass/installer'

commit c872a7fb3ac739743b186a08a5a33805d69269d3
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 20:50:04 2022 +0000

    ignore debian build files

commit b0b4f90a9ddc8f14e26ad74402cfde9da427e5a2
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 20:07:16 2022 +0000

    simplify credential assignment
    - portable number generators is hard to find and does not give enough
    entropy when calling on a loop withing the same second.
    - date +%N is not portable

commit 6a5c5dd053364077a500cad704c7349e659154a1
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 18:24:58 2022 +0000

    fix log message in the wrong place

commit 0541b142d4567bb29be701a23eb2b3d6bf59aad0
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 17:26:08 2022 +0000

    make no request if image was already downloaded
    - requires user to set --guest-version.

commit 89463acee729f67771fe293870886f5fcdcf2d70
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 16:45:28 2022 +0000

    increase connection timout for first trial

commit d2c245647ceaab8afd1d569c9ced54c6d7dc2c53
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 16:30:48 2022 +0000

    reserve curl exit codes and fix curl args

commit 6cdc826f3aefc1a391dbabe1e770f66d2f185aee
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 16:10:50 2022 +0000

    enhance vm existence check

commit 6dcccb5fd37e119e2dad0f336e6078788f74f4c8
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 15:17:44 2022 +0000

    put filename functionality to manpage

commit 3db48e748c1ca9be3f36d7ab3fe79eae36298cd4
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 15:05:16 2022 +0000

    fix installer proxy for whonix systems
    - proxy and credentials were not being set, but whonix users deserver an
    eascy option to use SOCKS proxy also.
    - set exit codes for easy of debugging and script parsing automation.

commit 884414c0731e1c0c5b40ea6f8c0670678e8a92b7
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 15:04:08 2022 +0000

    improve man page option's description

commit 510b756618de96ac5d6e70476b1374e9de36743b
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 00:27:21 2022 +0000

    fix man page missing new line

commit 12c736dca053548223f6c3f8d529e3d25890a764
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 00:26:29 2022 +0000

    create zsh completion script

commit f8b100224a39ab84260b0be39bf9da4d3e42bda0
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 00:26:02 2022 +0000

    create bash completion script

commit 0bd807fa01e7e173e8085aa7de0f462bda991db7
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 00:25:41 2022 +0000

    create minimal man page for testing

commit 56da2c1b2708b87582d7f9db9749cd6b72f6aa14
Author: grass <grass@danwin1210.de>
Date:   Thu Nov 17 00:25:16 2022 +0000

    improve installer help message

commit cfcde6d9497bb83b2fbd620f058fcb014d1ab95a
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 23:06:22 2022 +0000

    better description of elapsed time

commit 1f832b74ded790770920a47d6898f88f662a90bf
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 23:04:01 2022 +0000

    nice message to open hypervisor after vm import

commit cce56d3bab0bde7a384b04b7a1b037f2d81c90d0
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 22:49:42 2022 +0000

    set dir prefix to an already existing dir ($HOME)

commit f8fd4e4ca01060c764adc4e664e24853e6f7819f
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 22:45:18 2022 +0000

    fix sed path that has '/' char

commit 5d98de4d816efdf468c5c922f39d607e9ac7d936
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 22:37:38 2022 +0000

    set download directory via command-line option
    let the user choose the directory where files will be saved to.

commit c90827e15423bf635a745183b5c9f6297a95b5fb
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 21:39:08 2022 +0000

    fix importation of kicksecure
    Import was defaulting to two systems, now it defaults to 1 unless whonix
    is being used.

commit 687fe28707dc8ca848e52117da52ba72baafbb78
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 21:10:21 2022 +0000

    fix downloading only the first file
    - exec spawns a different process and was giving problems stopping at the
      first to be downloaded.
    - fix curl proxy random credentials if not using onion but SOCKS proxy
      is set.

commit 1351ec9b7607a22f594d01f786263d3fbfb4b192
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 17:32:58 2022 +0000

    fix urls variables
    Comments are necessary to keep track of that many url format. A bug was
    occurring of usign both clearnet and onion urls.

commit 6243626e5aa19eb02a22952b2605f0573d401132
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 16:58:50 2022 +0000

    fix test_pkg and functions order

commit 638671d1ef2f88e7eb1a57be85308377d12eb309
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 16:45:38 2022 +0000

    uncoment essential function

commit 8ff5959b3ef686b1b7ac7ad55b98e892e430d5bb
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 16:29:26 2022 +0000

    distrust version queried from API
    - check if it is a valid string of only numbers and dot (.).
    - check if it has less than 12 chars.

commit 5351dba0c2acf16e523a787976f83d7c9326c510
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 11:15:14 2022 +0000

    improve parsing script name and header message
    - fix set_arg() arg_saved not saving variables correctly
    - fix parse_name script name parsing
    - set header info for chosen flavor

commit bcc84918cb646f568d4dc498349f7e50f3921c2a
Author: grass <grass@danwin1210.de>
Date:   Tue Nov 15 00:30:19 2022 +0000

    set options by file name

commit cde2cb0fcfcbd1150ea6a6e95c20e089ffa60ce5
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 14 23:37:16 2022 +0000

    shellcheck fixes

commit 99cd357e118c160495d4cea0d4842bff59ab12f7
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 14 23:00:34 2022 +0000

    move installer-dist to /usr/bin dir

commit 465bd67fa81ffc38f3c6e75be70007a054380caa
Merge: 5cc1928 c3ae4b2
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 14 22:57:38 2022 +0000

    merge installer to usability-misc

commit c3ae4b2d26197738756667ebd41229d78459f1c9
Author: grass <grass@danwin1210.de>
Date:   Mon Nov 14 22:45:29 2022 +0000

    implement dry-run
    - guards against server partion content transfer with function calls.
    - run in dry-run mode for debugging, where important commands are printed
    instead of executed.
    - check if fasttrack repo is already enabled.

commit 75a1187c20ee06f92dd2b515a16798f432f82100
Author: grass <grass@danwin1210.de>
Date:   Sun Nov 13 23:51:01 2022 +0000

    initial commit
    Installer for:
    - Whonix/Kicksecure
    - Virtualbox/KVM(unfinished)
    - CLI/XFCE
    - onion/clearnet

commit e0f1e3a806e6883b66aa3289076744cc8f5f0343
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Nov 1 21:14:56 2022 +0000

    improve curl-download and redirect scurl-download to it

commit ab4444272f38b87e03e31073766f373436677531
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Nov 1 20:59:24 2022 +0000

    better to quote every arg

commit 9f8fa803bf781bc6ef927851e2a1e6247d4322f9
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Nov 1 20:35:25 2022 +0000

    quote args with spaces, that if passed as singl arg, they were unquoted by the shell

commit d4c154875cee2f1161f17a69f97438eda914c3eb
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Nov 1 18:27:13 2022 +0000

    improve scurl-download to behave like wget

commit 8008cc7465e8f59e93305638b1e4e8cb862ac174
Author: nyxnor <nyxnor@protonmail.com>
Date:   Tue Nov 1 18:19:11 2022 +0000

    improve scurl-download to behave like wget

commit 5cc192896ae669430362648c967e1e752686016b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 21 09:29:54 2022 -0400

    bumped changelog version

commit a74ca43aeb4999177a8642a986801f03a9c5745b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Oct 21 08:57:00 2022 -0400

    work on whonix-dev-backup

commit 23f51990cf6ef9336db577dc5dd8e0d31ef7c24b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 19 11:52:05 2022 -0400

    bumped changelog version

commit 9cbd47acacc6d95d37e519d8eb658880dbdc3756
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 19 11:50:20 2022 -0400

    debugging

commit 22ccb846f073b592880c0300ee218de65065e5b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 19 11:49:40 2022 -0400

    fix

commit 40c2e336839215aff68883617a1923d4456accd8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 12 07:53:34 2022 -0400

    bumped changelog version

commit 499b344707d4844ed18d75aff51d8c2f5cf3ddb1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 29 16:13:03 2022 -0400

    apt-get-noninteractive / dpkg-noninteractive: `export NEEDRESTART_MODE="l"`

commit 5a32a831d882551048897eca57fe0f850b09e36a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 10:25:40 2022 -0400

    bumped changelog version

commit c13bf7ae73c17067b045708c28787ab40388dc91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 07:51:17 2022 -0400

    debugging

commit c4058f5de1f0afba746e1383418fea25220eb7e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:34 2022 -0400

    bumped changelog version

commit 24626836beb3b82db31aa02139ee95581a7d9ddc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:12 2022 -0400

    readme

commit 4afca66377520b0ff17ed2d85b2dd5ab1586220d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:41 2022 -0400

    copyright

commit 4e035ac9f0947515429962073aa113746286feb1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 18 11:49:22 2022 -0400

    Kicksecure

